// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : CrossPlanTask的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-10 22:01:07
 *
 ******************************************************************************/
var CrossPlanTask_TaskNr = grmi.NewField("TaskNr", "[CrossPlanTask].TaskNr", "tasknr", grmi.TypeInt)
var CrossPlanTask_FromPlantNr = grmi.NewField("FromPlantNr", "[CrossPlanTask].FromPlantNr", "fromplantnr", grmi.TypeInt)
var CrossPlanTask_ToPlantNr = grmi.NewField("ToPlantNr", "[CrossPlanTask].ToPlantNr", "toplantnr", grmi.TypeInt)
var CrossPlanTask_ProjectId = grmi.NewField("ProjectId", "[CrossPlanTask].ProjectId", "projectid", grmi.TypeString)
var CrossPlanTask_ArtId = grmi.NewField("ArtId", "[CrossPlanTask].ArtId", "artid", grmi.TypeString)
var CrossPlanTask_PlanQty = grmi.NewField("PlanQty", "[CrossPlanTask].PlanQty", "planqty", grmi.TypeInt)
var CrossPlanTask_ActQty = grmi.NewField("ActQty", "[CrossPlanTask].ActQty", "actqty", grmi.TypeInt)
var CrossPlanTask_Status = grmi.NewField("Status", "[CrossPlanTask].Status", "status", grmi.TypeInt)
var CrossPlanTask_OrderType = grmi.NewField("OrderType", "[CrossPlanTask].OrderType", "ordertype", grmi.TypeString)
var CrossPlanTask_PlanType = grmi.NewField("PlanType", "[CrossPlanTask].PlanType", "plantype", grmi.TypeString)
var CrossPlanTask_SchedType = grmi.NewField("SchedType", "[CrossPlanTask].SchedType", "schedtype", grmi.TypeString)
var CrossPlanTask_SourceOrderId = grmi.NewField("SourceOrderId", "[CrossPlanTask].SourceOrderId", "sourceorderid", grmi.TypeString)
var CrossPlanTask_PlanStartTime = grmi.NewField("PlanStartTime", "[CrossPlanTask].PlanStartTime", "planstarttime", grmi.TypeDateTime)
var CrossPlanTask_PlanEndTime = grmi.NewField("PlanEndTime", "[CrossPlanTask].PlanEndTime", "planendtime", grmi.TypeDateTime)
var CrossPlanTask_Priority = grmi.NewField("Priority", "[CrossPlanTask].Priority", "priority", grmi.TypeInt)
var CrossPlanTask_LastModify = grmi.NewField("LastModify", "[CrossPlanTask].LastModify", "lastmodify", grmi.TypeDateTime)
var CrossPlanTask_LastUser = grmi.NewField("LastUser", "[CrossPlanTask].LastUser", "lastuser", grmi.TypeString)
var CrossPlanTask_CreateTime = grmi.NewField("CreateTime", "[CrossPlanTask].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CrossPlanTask的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-10 22:01:07
 *
 ******************************************************************************/
var CrossPlanTask = grmi.NewEntity(
	"CrossPlanTask",
	func() interface{} { return &model.CrossPlanTask{} },
	map[string]grmi.Field{
		CrossPlanTask_TaskNr.Name:        CrossPlanTask_TaskNr,
		CrossPlanTask_FromPlantNr.Name:   CrossPlanTask_FromPlantNr,
		CrossPlanTask_ToPlantNr.Name:     CrossPlanTask_ToPlantNr,
		CrossPlanTask_ProjectId.Name:     CrossPlanTask_ProjectId,
		CrossPlanTask_ArtId.Name:         CrossPlanTask_ArtId,
		CrossPlanTask_PlanQty.Name:       CrossPlanTask_PlanQty,
		CrossPlanTask_ActQty.Name:        CrossPlanTask_ActQty,
		CrossPlanTask_Status.Name:        CrossPlanTask_Status,
		CrossPlanTask_OrderType.Name:     CrossPlanTask_OrderType,
		CrossPlanTask_PlanType.Name:      CrossPlanTask_PlanType,
		CrossPlanTask_SchedType.Name:     CrossPlanTask_SchedType,
		CrossPlanTask_SourceOrderId.Name: CrossPlanTask_SourceOrderId,
		CrossPlanTask_PlanStartTime.Name: CrossPlanTask_PlanStartTime,
		CrossPlanTask_PlanEndTime.Name:   CrossPlanTask_PlanEndTime,
		CrossPlanTask_Priority.Name:      CrossPlanTask_Priority,
		CrossPlanTask_LastModify.Name:    CrossPlanTask_LastModify,
		CrossPlanTask_LastUser.Name:      CrossPlanTask_LastUser,
		CrossPlanTask_CreateTime.Name:    CrossPlanTask_CreateTime,
	},
	[]string{},
	[]string{"FromPlantNr", "ToPlantNr", "ProjectId", "ArtId", "PlanQty", "ActQty", "Status", "OrderType", "PlanType", "SchedType", "SourceOrderId", "PlanStartTime", "PlanEndTime", "Priority", "LastUser"})
