// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCMonitorBasicComInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
var OPCMonitorBasicComInfo_PlantNr = grmi.NewField("PlantNr", "[OPCMonitorBasicComInfo].PlantNr", "plantnr", grmi.TypeInt)
var OPCMonitorBasicComInfo_OperationId = grmi.NewField("OperationId", "[OPCMonitorBasicComInfo].OperationId", "operationid", grmi.TypeInt)
var OPCMonitorBasicComInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[OPCMonitorBasicComInfo].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var OPCMonitorBasicComInfo_PO = grmi.NewField("PO", "[OPCMonitorBasicComInfo].PO", "po", grmi.TypeString)
var OPCMonitorBasicComInfo_StepNo = grmi.NewField("StepNo", "[OPCMonitorBasicComInfo].StepNo", "stepno", grmi.TypeInt)
var OPCMonitorBasicComInfo_StepDesc = grmi.NewField("StepDesc", "[OPCMonitorBasicComInfo].StepDesc", "stepdesc", grmi.TypeString)
var OPCMonitorBasicComInfo_ProjectId = grmi.NewField("ProjectId", "[OPCMonitorBasicComInfo].ProjectId", "projectid", grmi.TypeString)
var OPCMonitorBasicComInfo_BrandName = grmi.NewField("BrandName", "[OPCMonitorBasicComInfo].BrandName", "brandname", grmi.TypeString)
var OPCMonitorBasicComInfo_MachineType = grmi.NewField("MachineType", "[OPCMonitorBasicComInfo].MachineType", "machinetype", grmi.TypeString)
var OPCMonitorBasicComInfo_IpAddress = grmi.NewField("IpAddress", "[OPCMonitorBasicComInfo].IpAddress", "ipaddress", grmi.TypeString)
var OPCMonitorBasicComInfo_CheckWriteBack = grmi.NewField("CheckWriteBack", "[OPCMonitorBasicComInfo].CheckWriteBack", "checkwriteback", grmi.TypeBool)
var OPCMonitorBasicComInfo_LastModify = grmi.NewField("LastModify", "[OPCMonitorBasicComInfo].LastModify", "lastmodify", grmi.TypeDateTime)
var OPCMonitorBasicComInfo_LastUser = grmi.NewField("LastUser", "[OPCMonitorBasicComInfo].LastUser", "lastuser", grmi.TypeString)
var OPCMonitorBasicComInfo_CreateTime = grmi.NewField("CreateTime", "[OPCMonitorBasicComInfo].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCMonitorBasicComInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
var OPCMonitorBasicComInfo = grmi.NewEntity(
	"OPCMonitorBasicComInfo",
	func() interface{} { return &model.OPCMonitorBasicComInfo{} },
	map[string]grmi.Field{
		OPCMonitorBasicComInfo_PlantNr.Name:     OPCMonitorBasicComInfo_PlantNr,
		OPCMonitorBasicComInfo_OperationId.Name: OPCMonitorBasicComInfo_OperationId,
		OPCMonitorBasicComInfo_WorkPlaceNr.Name: OPCMonitorBasicComInfo_WorkPlaceNr,
		OPCMonitorBasicComInfo_PO.Name:          OPCMonitorBasicComInfo_PO,
		OPCMonitorBasicComInfo_StepNo.Name:      OPCMonitorBasicComInfo_StepNo,
		OPCMonitorBasicComInfo_StepDesc.Name:    OPCMonitorBasicComInfo_StepDesc,
		OPCMonitorBasicComInfo_ProjectId.Name:   OPCMonitorBasicComInfo_ProjectId,
		OPCMonitorBasicComInfo_BrandName.Name:   OPCMonitorBasicComInfo_BrandName,
		OPCMonitorBasicComInfo_MachineType.Name: OPCMonitorBasicComInfo_MachineType,
		OPCMonitorBasicComInfo_IpAddress.Name:   OPCMonitorBasicComInfo_IpAddress,
		OPCMonitorBasicComInfo_CheckWriteBack.Name: OPCMonitorBasicComInfo_CheckWriteBack,
		OPCMonitorBasicComInfo_LastModify.Name:  OPCMonitorBasicComInfo_LastModify,
		OPCMonitorBasicComInfo_LastUser.Name:    OPCMonitorBasicComInfo_LastUser,
		OPCMonitorBasicComInfo_CreateTime.Name:  OPCMonitorBasicComInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "BrandName", "MachineType", "IpAddress", "CheckWriteBack", "LastUser"})
