// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : RepairInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 16:54:17
 *
 ******************************************************************************/
var RepairInfo_WorkLineId = grmi.NewField("WorkLineId", "[RepairInfo].WorkLineId", "worklineid", grmi.TypeString)
var RepairInfo_PO = grmi.NewField("PO", "[RepairInfo].PO", "po", grmi.TypeString)
var RepairInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[RepairInfo].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var RepairInfo_SerialOrderId = grmi.NewField("SerialOrderId", "[RepairInfo].SerialOrderId", "serialorderid", grmi.TypeString)
var RepairInfo_RepairReason = grmi.NewField("RepairReason", "[RepairInfo].RepairReason", "repairreason", grmi.TypeString)
var RepairInfo_Status = grmi.NewField("Status", "[RepairInfo].Status", "status", grmi.TypeInt)
var RepairInfo_IsActive = grmi.NewField("IsActive", "[RepairInfo].isActive", "isactive", grmi.TypeInt)
var RepairInfo_LastModify = grmi.NewField("LastModify", "[RepairInfo].LastModify", "lastmodify", grmi.TypeDateTime)
var RepairInfo_LastUser = grmi.NewField("LastUser", "[RepairInfo].LastUser", "lastuser", grmi.TypeString)
var RepairInfo_CreateTime = grmi.NewField("CreateTime", "[RepairInfo].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : RepairInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 16:54:17
 *
 ******************************************************************************/
var RepairInfo = grmi.NewEntity(
	"RepairInfo",
	func() interface{} { return &model.RepairInfo{} },
	map[string]grmi.Field{
		RepairInfo_WorkLineId.Name:    RepairInfo_WorkLineId,
		RepairInfo_PO.Name:            RepairInfo_PO,
		RepairInfo_WorkPlaceNr.Name:   RepairInfo_WorkPlaceNr,
		RepairInfo_SerialOrderId.Name: RepairInfo_SerialOrderId,
		RepairInfo_RepairReason.Name:  RepairInfo_RepairReason,
		RepairInfo_Status.Name:        RepairInfo_Status,
		RepairInfo_IsActive.Name:      RepairInfo_IsActive,
		RepairInfo_LastModify.Name:    RepairInfo_LastModify,
		RepairInfo_LastUser.Name:      RepairInfo_LastUser,
		RepairInfo_CreateTime.Name:    RepairInfo_CreateTime,
	},
	[]string{},
	[]string{"WorkLineId", "PO", "WorkPlaceNr", "SerialOrderId", "RepairReason", "Status", "isActive", "LastUser"})
