// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkPlaceConfig的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-13 15:30:43
 *
 ******************************************************************************/
var WorkPlaceConfig_PlantNr = grmi.NewField("PlantNr", "[WorkPlaceConfig].PlantNr", "plantnr", grmi.TypeInt)
var WorkPlaceConfig_ConfigNr = grmi.NewField("ConfigNr", "[WorkPlaceConfig].ConfigNr", "confignr", grmi.TypeInt)
var WorkPlaceConfig_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[WorkPlaceConfig].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var WorkPlaceConfig_ParamName = grmi.NewField("ParamName", "[WorkPlaceConfig].ParamName", "paramname", grmi.TypeString)
var WorkPlaceConfig_StrValue1 = grmi.NewField("StrValue1", "[WorkPlaceConfig].StrValue1", "strvalue1", grmi.TypeString)
var WorkPlaceConfig_StrValue2 = grmi.NewField("StrValue2", "[WorkPlaceConfig].StrValue2", "strvalue2", grmi.TypeString)
var WorkPlaceConfig_StrValue3 = grmi.NewField("StrValue3", "[WorkPlaceConfig].StrValue3", "strvalue3", grmi.TypeString)
var WorkPlaceConfig_IntValue1 = grmi.NewField("IntValue1", "[WorkPlaceConfig].IntValue1", "intvalue1", grmi.TypeInt)
var WorkPlaceConfig_IntValue2 = grmi.NewField("IntValue2", "[WorkPlaceConfig].IntValue2", "intvalue2", grmi.TypeInt)
var WorkPlaceConfig_IntValue3 = grmi.NewField("IntValue3", "[WorkPlaceConfig].IntValue3", "intvalue3", grmi.TypeInt)
var WorkPlaceConfig_FloatValue1 = grmi.NewField("FloatValue1", "[WorkPlaceConfig].FloatValue1", "floatvalue1", grmi.TypeFloat64)
var WorkPlaceConfig_FloatValue2 = grmi.NewField("FloatValue2", "[WorkPlaceConfig].FloatValue2", "floatvalue2", grmi.TypeFloat64)
var WorkPlaceConfig_FloatValue3 = grmi.NewField("FloatValue3", "[WorkPlaceConfig].FloatValue3", "floatvalue3", grmi.TypeFloat64)
var WorkPlaceConfig_StrValue4 = grmi.NewField("StrValue4", "[WorkPlaceConfig].StrValue4", "strvalue4", grmi.TypeString)
var WorkPlaceConfig_StrValue5 = grmi.NewField("StrValue5", "[WorkPlaceConfig].StrValue5", "strvalue5", grmi.TypeString)
var WorkPlaceConfig_IntValue4 = grmi.NewField("IntValue4", "[WorkPlaceConfig].IntValue4", "intvalue4", grmi.TypeInt)
var WorkPlaceConfig_IntValue5 = grmi.NewField("IntValue5", "[WorkPlaceConfig].IntValue5", "intvalue5", grmi.TypeInt)
var WorkPlaceConfig_BoolValue1 = grmi.NewField("BoolValue1", "[WorkPlaceConfig].BoolValue1", "boolvalue1", grmi.TypeBool)
var WorkPlaceConfig_BoolValue2 = grmi.NewField("BoolValue2", "[WorkPlaceConfig].BoolValue2", "boolvalue2", grmi.TypeBool)
var WorkPlaceConfig_BoolValue3 = grmi.NewField("BoolValue3", "[WorkPlaceConfig].BoolValue3", "boolvalue3", grmi.TypeBool)
var WorkPlaceConfig_LastModify = grmi.NewField("LastModify", "[WorkPlaceConfig].LastModify", "lastmodify", grmi.TypeDateTime)
var WorkPlaceConfig_LastUser = grmi.NewField("LastUser", "[WorkPlaceConfig].LastUser", "lastuser", grmi.TypeString)
var WorkPlaceConfig_CreateTime = grmi.NewField("CreateTime", "[WorkPlaceConfig].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkPlaceConfig的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-13 15:30:43
 *
 ******************************************************************************/
var WorkPlaceConfig = grmi.NewEntity(
	"WorkPlaceConfig",
	func() interface{} { return &model.WorkPlaceConfig{} },
	map[string]grmi.Field{
		WorkPlaceConfig_PlantNr.Name:     WorkPlaceConfig_PlantNr,
		WorkPlaceConfig_ConfigNr.Name:    WorkPlaceConfig_ConfigNr,
		WorkPlaceConfig_WorkPlaceNr.Name: WorkPlaceConfig_WorkPlaceNr,
		WorkPlaceConfig_ParamName.Name:   WorkPlaceConfig_ParamName,
		WorkPlaceConfig_StrValue1.Name:   WorkPlaceConfig_StrValue1,
		WorkPlaceConfig_StrValue2.Name:   WorkPlaceConfig_StrValue2,
		WorkPlaceConfig_StrValue3.Name:   WorkPlaceConfig_StrValue3,
		WorkPlaceConfig_IntValue1.Name:   WorkPlaceConfig_IntValue1,
		WorkPlaceConfig_IntValue2.Name:   WorkPlaceConfig_IntValue2,
		WorkPlaceConfig_IntValue3.Name:   WorkPlaceConfig_IntValue3,
		WorkPlaceConfig_FloatValue1.Name: WorkPlaceConfig_FloatValue1,
		WorkPlaceConfig_FloatValue2.Name: WorkPlaceConfig_FloatValue2,
		WorkPlaceConfig_FloatValue3.Name: WorkPlaceConfig_FloatValue3,
		WorkPlaceConfig_StrValue4.Name:   WorkPlaceConfig_StrValue4,
		WorkPlaceConfig_StrValue5.Name:   WorkPlaceConfig_StrValue5,
		WorkPlaceConfig_IntValue4.Name:   WorkPlaceConfig_IntValue4,
		WorkPlaceConfig_IntValue5.Name:   WorkPlaceConfig_IntValue5,
		WorkPlaceConfig_BoolValue1.Name:  WorkPlaceConfig_BoolValue1,
		WorkPlaceConfig_BoolValue2.Name:  WorkPlaceConfig_BoolValue2,
		WorkPlaceConfig_BoolValue3.Name:  WorkPlaceConfig_BoolValue3,
		WorkPlaceConfig_LastModify.Name:  WorkPlaceConfig_LastModify,
		WorkPlaceConfig_LastUser.Name:    WorkPlaceConfig_LastUser,
		WorkPlaceConfig_CreateTime.Name:  WorkPlaceConfig_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"WorkPlaceNr", "ParamName", "StrValue1", "StrValue2", "StrValue3", "IntValue1", "IntValue2", "IntValue3", "FloatValue1", "FloatValue2", "FloatValue3", "StrValue4", "StrValue5", "IntValue4", "IntValue5", "BoolValue1", "BoolValue2", "BoolValue3", "LastUser"})
