// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : PackOrderItemLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrderItemLst_PlantNr = grmi.NewField("PlantNr", "[JIT_PackOrderItemLst].PlantNr", "plantnr", grmi.TypeInt)
var PackOrderItemLst_PackOrderId = grmi.NewField("PackOrderId", "[JIT_PackOrderItemLst].PackOrderId", "packorderid", grmi.TypeString)
var PackOrderItemLst_Pos = grmi.NewField("Pos", "[JIT_PackOrderItemLst].Pos", "pos", grmi.TypeInt)
var PackOrderItemLst_PosCode = grmi.NewField("PosCode", "[JIT_PackOrderItemLst].PosCode", "poscode", grmi.TypeString)
var PackOrderItemLst_OemSeq = grmi.NewField("OemSeq", "[JIT_PackOrderItemLst].OemSeq", "oemseq", grmi.TypeInt64)
var PackOrderItemLst_Seq = grmi.NewField("Seq", "[JIT_PackOrderItemLst].Seq", "seq", grmi.TypeInt)
var PackOrderItemLst_PartId = grmi.NewField("PartId", "[JIT_PackOrderItemLst].PartId", "partid", grmi.TypeString)
var PackOrderItemLst_SerialOrderId = grmi.NewField("SerialOrderId", "[JIT_PackOrderItemLst].SerialOrderId", "serialorderid", grmi.TypeString)
var PackOrderItemLst_Status = grmi.NewField("Status", "[JIT_PackOrderItemLst].Status", "status", grmi.TypeInt)
var PackOrderItemLst_PlanQty = grmi.NewField("PlanQty", "[JIT_PackOrderItemLst].PlanQty", "planqty", grmi.TypeInt)
var PackOrderItemLst_ActQty = grmi.NewField("ActQty", "[JIT_PackOrderItemLst].ActQty", "actqty", grmi.TypeInt)
var PackOrderItemLst_LastModify = grmi.NewField("LastModify", "[JIT_PackOrderItemLst].LastModify", "lastmodify", grmi.TypeDateTime)
var PackOrderItemLst_LastUser = grmi.NewField("LastUser", "[JIT_PackOrderItemLst].LastUser", "lastuser", grmi.TypeString)
var PackOrderItemLst_CreateTime = grmi.NewField("CreateTime", "[JIT_PackOrderItemLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrderItemLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrderItemLst = grmi.NewEntity(
	"JIT_PackOrderItemLst",
	func() interface{} { return &model.PackOrderItemLst{} },
	map[string]grmi.Field{
		PackOrderItemLst_PlantNr.Name:       PackOrderItemLst_PlantNr,
		PackOrderItemLst_PackOrderId.Name:   PackOrderItemLst_PackOrderId,
		PackOrderItemLst_Pos.Name:           PackOrderItemLst_Pos,
		PackOrderItemLst_PosCode.Name:       PackOrderItemLst_PosCode,
		PackOrderItemLst_OemSeq.Name:        PackOrderItemLst_OemSeq,
		PackOrderItemLst_Seq.Name:           PackOrderItemLst_Seq,
		PackOrderItemLst_PartId.Name:        PackOrderItemLst_PartId,
		PackOrderItemLst_SerialOrderId.Name: PackOrderItemLst_SerialOrderId,
		PackOrderItemLst_Status.Name:        PackOrderItemLst_Status,
		PackOrderItemLst_PlanQty.Name:       PackOrderItemLst_PlanQty,
		PackOrderItemLst_ActQty.Name:        PackOrderItemLst_ActQty,
		PackOrderItemLst_LastModify.Name:    PackOrderItemLst_LastModify,
		PackOrderItemLst_LastUser.Name:      PackOrderItemLst_LastUser,
		PackOrderItemLst_CreateTime.Name:    PackOrderItemLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PosCode", "OemSeq", "Seq", "PartId", "SerialOrderId", "Status", "PlanQty", "ActQty", "LastUser"})
