// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : PackOrderStatusHistory的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrderStatusHistory_PlantNr = grmi.NewField("PlantNr", "[JIT_PackOrderStatusHistory].PlantNr", "plantnr", grmi.TypeInt)
var PackOrderStatusHistory_PackOrderId = grmi.NewField("PackOrderId", "[JIT_PackOrderStatusHistory].PackOrderId", "packorderid", grmi.TypeString)
var PackOrderStatusHistory_Pos = grmi.NewField("Pos", "[JIT_PackOrderStatusHistory].Pos", "pos", grmi.TypeInt)
var PackOrderStatusHistory_StatusChangeType = grmi.NewField("StatusChangeType", "[JIT_PackOrderStatusHistory].StatusChangeType", "statuschangetype", grmi.TypeString)
var PackOrderStatusHistory_FromStatus = grmi.NewField("FromStatus", "[JIT_PackOrderStatusHistory].FromStatus", "fromstatus", grmi.TypeInt)
var PackOrderStatusHistory_ToStatus = grmi.NewField("ToStatus", "[JIT_PackOrderStatusHistory].ToStatus", "tostatus", grmi.TypeInt)
var PackOrderStatusHistory_TriggerEvent = grmi.NewField("TriggerEvent", "[JIT_PackOrderStatusHistory].TriggerEvent", "triggerevent", grmi.TypeString)
var PackOrderStatusHistory_TriggerObjId = grmi.NewField("TriggerObjId", "[JIT_PackOrderStatusHistory].TriggerObjId", "triggerobjid", grmi.TypeString)
var PackOrderStatusHistory_ChangeTime = grmi.NewField("ChangeTime", "[JIT_PackOrderStatusHistory].ChangeTime", "changetime", grmi.TypeDateTime)
var PackOrderStatusHistory_TriggerPara1 = grmi.NewField("TriggerPara1", "[JIT_PackOrderStatusHistory].TriggerPara1", "triggerpara1", grmi.TypeString)
var PackOrderStatusHistory_TriggerPara2 = grmi.NewField("TriggerPara2", "[JIT_PackOrderStatusHistory].TriggerPara2", "triggerpara2", grmi.TypeString)
var PackOrderStatusHistory_LastModify = grmi.NewField("LastModify", "[JIT_PackOrderStatusHistory].LastModify", "lastmodify", grmi.TypeDateTime)
var PackOrderStatusHistory_LastUser = grmi.NewField("LastUser", "[JIT_PackOrderStatusHistory].LastUser", "lastuser", grmi.TypeString)
var PackOrderStatusHistory_CreateTime = grmi.NewField("CreateTime", "[JIT_PackOrderStatusHistory].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrderStatusHistory的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrderStatusHistory = grmi.NewEntity(
	"JIT_PackOrderStatusHistory",
	func() interface{} { return &model.PackOrderStatusHistory{} },
	map[string]grmi.Field{
		PackOrderStatusHistory_PlantNr.Name:          PackOrderStatusHistory_PlantNr,
		PackOrderStatusHistory_PackOrderId.Name:      PackOrderStatusHistory_PackOrderId,
		PackOrderStatusHistory_Pos.Name:              PackOrderStatusHistory_Pos,
		PackOrderStatusHistory_StatusChangeType.Name: PackOrderStatusHistory_StatusChangeType,
		PackOrderStatusHistory_FromStatus.Name:       PackOrderStatusHistory_FromStatus,
		PackOrderStatusHistory_ToStatus.Name:         PackOrderStatusHistory_ToStatus,
		PackOrderStatusHistory_TriggerEvent.Name:     PackOrderStatusHistory_TriggerEvent,
		PackOrderStatusHistory_TriggerObjId.Name:     PackOrderStatusHistory_TriggerObjId,
		PackOrderStatusHistory_ChangeTime.Name:       PackOrderStatusHistory_ChangeTime,
		PackOrderStatusHistory_TriggerPara1.Name:     PackOrderStatusHistory_TriggerPara1,
		PackOrderStatusHistory_TriggerPara2.Name:     PackOrderStatusHistory_TriggerPara2,
		PackOrderStatusHistory_LastModify.Name:       PackOrderStatusHistory_LastModify,
		PackOrderStatusHistory_LastUser.Name:         PackOrderStatusHistory_LastUser,
		PackOrderStatusHistory_CreateTime.Name:       PackOrderStatusHistory_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StatusChangeType", "FromStatus", "ToStatus", "TriggerEvent", "TriggerObjId", "ChangeTime", "TriggerPara1", "TriggerPara2", "LastUser"})
