// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : PackTemplateItemLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackTemplateItemLst_PlantNr = grmi.NewField("PlantNr", "[JIT_PackTemplateItemLst].PlantNr", "plantnr", grmi.TypeInt)
var PackTemplateItemLst_PackTemplateId = grmi.NewField("PackTemplateId", "[JIT_PackTemplateItemLst].PackTemplateId", "packtemplateid", grmi.TypeString)
var PackTemplateItemLst_Pos = grmi.NewField("Pos", "[JIT_PackTemplateItemLst].Pos", "pos", grmi.TypeInt)
var PackTemplateItemLst_PosCode = grmi.NewField("PosCode", "[JIT_PackTemplateItemLst].PosCode", "poscode", grmi.TypeString)
var PackTemplateItemLst_PartId = grmi.NewField("PartId", "[JIT_PackTemplateItemLst].PartId", "partid", grmi.TypeString)
var PackTemplateItemLst_Seq = grmi.NewField("Seq", "[JIT_PackTemplateItemLst].Seq", "seq", grmi.TypeInt)
var PackTemplateItemLst_PlanQty = grmi.NewField("PlanQty", "[JIT_PackTemplateItemLst].PlanQty", "planqty", grmi.TypeInt)
var PackTemplateItemLst_LastModify = grmi.NewField("LastModify", "[JIT_PackTemplateItemLst].LastModify", "lastmodify", grmi.TypeDateTime)
var PackTemplateItemLst_LastUser = grmi.NewField("LastUser", "[JIT_PackTemplateItemLst].LastUser", "lastuser", grmi.TypeString)
var PackTemplateItemLst_CreateTime = grmi.NewField("CreateTime", "[JIT_PackTemplateItemLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackTemplateItemLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackTemplateItemLst = grmi.NewEntity(
	"JIT_PackTemplateItemLst",
	func() interface{} { return &model.PackTemplateItemLst{} },
	map[string]grmi.Field{
		PackTemplateItemLst_PlantNr.Name:        PackTemplateItemLst_PlantNr,
		PackTemplateItemLst_PackTemplateId.Name: PackTemplateItemLst_PackTemplateId,
		PackTemplateItemLst_Pos.Name:            PackTemplateItemLst_Pos,
		PackTemplateItemLst_PosCode.Name:        PackTemplateItemLst_PosCode,
		PackTemplateItemLst_PartId.Name:         PackTemplateItemLst_PartId,
		PackTemplateItemLst_Seq.Name:            PackTemplateItemLst_Seq,
		PackTemplateItemLst_PlanQty.Name:        PackTemplateItemLst_PlanQty,
		PackTemplateItemLst_LastModify.Name:     PackTemplateItemLst_LastModify,
		PackTemplateItemLst_LastUser.Name:       PackTemplateItemLst_LastUser,
		PackTemplateItemLst_CreateTime.Name:     PackTemplateItemLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PosCode", "PartId", "Seq", "PlanQty", "LastUser"})
