// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipOrderStatusHistory的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderStatusHistory_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipOrderStatusHistory].PlantNr", "plantnr", grmi.TypeInt)
var ShipOrderStatusHistory_ShipOrderId = grmi.NewField("ShipOrderId", "[JIT_ShipOrderStatusHistory].ShipOrderId", "shiporderid", grmi.TypeString)
var ShipOrderStatusHistory_Pos = grmi.NewField("Pos", "[JIT_ShipOrderStatusHistory].Pos", "pos", grmi.TypeInt)
var ShipOrderStatusHistory_StatusChangeType = grmi.NewField("StatusChangeType", "[JIT_ShipOrderStatusHistory].StatusChangeType", "statuschangetype", grmi.TypeString)
var ShipOrderStatusHistory_FromStatus = grmi.NewField("FromStatus", "[JIT_ShipOrderStatusHistory].FromStatus", "fromstatus", grmi.TypeInt)
var ShipOrderStatusHistory_ToStatus = grmi.NewField("ToStatus", "[JIT_ShipOrderStatusHistory].ToStatus", "tostatus", grmi.TypeInt)
var ShipOrderStatusHistory_TriggerEvent = grmi.NewField("TriggerEvent", "[JIT_ShipOrderStatusHistory].TriggerEvent", "triggerevent", grmi.TypeString)
var ShipOrderStatusHistory_TriggerObjId = grmi.NewField("TriggerObjId", "[JIT_ShipOrderStatusHistory].TriggerObjId", "triggerobjid", grmi.TypeString)
var ShipOrderStatusHistory_ChangeTime = grmi.NewField("ChangeTime", "[JIT_ShipOrderStatusHistory].ChangeTime", "changetime", grmi.TypeDateTime)
var ShipOrderStatusHistory_TriggerPara1 = grmi.NewField("TriggerPara1", "[JIT_ShipOrderStatusHistory].TriggerPara1", "triggerpara1", grmi.TypeString)
var ShipOrderStatusHistory_TriggerPara2 = grmi.NewField("TriggerPara2", "[JIT_ShipOrderStatusHistory].TriggerPara2", "triggerpara2", grmi.TypeString)
var ShipOrderStatusHistory_LastModify = grmi.NewField("LastModify", "[JIT_ShipOrderStatusHistory].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipOrderStatusHistory_LastUser = grmi.NewField("LastUser", "[JIT_ShipOrderStatusHistory].LastUser", "lastuser", grmi.TypeString)
var ShipOrderStatusHistory_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipOrderStatusHistory].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipOrderStatusHistory的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderStatusHistory = grmi.NewEntity(
	"JIT_ShipOrderStatusHistory",
	func() interface{} { return &model.ShipOrderStatusHistory{} },
	map[string]grmi.Field{
		ShipOrderStatusHistory_PlantNr.Name:          ShipOrderStatusHistory_PlantNr,
		ShipOrderStatusHistory_ShipOrderId.Name:      ShipOrderStatusHistory_ShipOrderId,
		ShipOrderStatusHistory_Pos.Name:              ShipOrderStatusHistory_Pos,
		ShipOrderStatusHistory_StatusChangeType.Name: ShipOrderStatusHistory_StatusChangeType,
		ShipOrderStatusHistory_FromStatus.Name:       ShipOrderStatusHistory_FromStatus,
		ShipOrderStatusHistory_ToStatus.Name:         ShipOrderStatusHistory_ToStatus,
		ShipOrderStatusHistory_TriggerEvent.Name:     ShipOrderStatusHistory_TriggerEvent,
		ShipOrderStatusHistory_TriggerObjId.Name:     ShipOrderStatusHistory_TriggerObjId,
		ShipOrderStatusHistory_ChangeTime.Name:       ShipOrderStatusHistory_ChangeTime,
		ShipOrderStatusHistory_TriggerPara1.Name:     ShipOrderStatusHistory_TriggerPara1,
		ShipOrderStatusHistory_TriggerPara2.Name:     ShipOrderStatusHistory_TriggerPara2,
		ShipOrderStatusHistory_LastModify.Name:       ShipOrderStatusHistory_LastModify,
		ShipOrderStatusHistory_LastUser.Name:         ShipOrderStatusHistory_LastUser,
		ShipOrderStatusHistory_CreateTime.Name:       ShipOrderStatusHistory_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StatusChangeType", "FromStatus", "ToStatus", "TriggerEvent", "TriggerObjId", "ChangeTime", "TriggerPara1", "TriggerPara2", "LastUser"})
