// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : ShipableAUConfig的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-24 09:49:31
 *
 ******************************************************************************/
var ShipableAUConfig_PlantNr = grmi.NewField("PlantNr", "[ME_ShipableAUConfig].PlantNr", "plantnr", grmi.TypeInt)
var ShipableAUConfig_ArtId = grmi.NewField("ArtId", "[ME_ShipableAUConfig].ArtId", "artid", grmi.TypeString)
var ShipableAUConfig_AuPo = grmi.NewField("AuPo", "[ME_ShipableAUConfig].AuPo", "aupo", grmi.TypeString)
var ShipableAUConfig_BarCodeRule = grmi.NewField("BarCodeRule", "[ME_ShipableAUConfig].BarCodeRule", "barcoderule", grmi.TypeString)
var ShipableAUConfig_StrPara1 = grmi.NewField("StrPara1", "[ME_ShipableAUConfig].StrPara1", "strpara1", grmi.TypeString)
var ShipableAUConfig_StrPara2 = grmi.NewField("StrPara2", "[ME_ShipableAUConfig].StrPara2", "strpara2", grmi.TypeString)
var ShipableAUConfig_StrPara3 = grmi.NewField("StrPara3", "[ME_ShipableAUConfig].StrPara3", "strpara3", grmi.TypeString)
var ShipableAUConfig_IntPara1 = grmi.NewField("IntPara1", "[ME_ShipableAUConfig].IntPara1", "intpara1", grmi.TypeInt)
var ShipableAUConfig_IntPara2 = grmi.NewField("IntPara2", "[ME_ShipableAUConfig].IntPara2", "intpara2", grmi.TypeInt)
var ShipableAUConfig_IntPara3 = grmi.NewField("IntPara3", "[ME_ShipableAUConfig].IntPara3", "intpara3", grmi.TypeInt)
var ShipableAUConfig_Toggle1 = grmi.NewField("Toggle1", "[ME_ShipableAUConfig].Toggle1", "toggle1", grmi.TypeBool)
var ShipableAUConfig_Toggle2 = grmi.NewField("Toggle2", "[ME_ShipableAUConfig].Toggle2", "toggle2", grmi.TypeBool)
var ShipableAUConfig_Toggle3 = grmi.NewField("Toggle3", "[ME_ShipableAUConfig].Toggle3", "toggle3", grmi.TypeBool)
var ShipableAUConfig_LastModify = grmi.NewField("LastModify", "[ME_ShipableAUConfig].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipableAUConfig_LastUser = grmi.NewField("LastUser", "[ME_ShipableAUConfig].LastUser", "lastuser", grmi.TypeString)
var ShipableAUConfig_CreateTime = grmi.NewField("CreateTime", "[ME_ShipableAUConfig].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipableAUConfig的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-24 09:49:31
 *
 ******************************************************************************/
var ShipableAUConfig = grmi.NewEntity(
	"ME_ShipableAUConfig",
	func() interface{} { return &model.ShipableAUConfig{} },
	map[string]grmi.Field{
		ShipableAUConfig_PlantNr.Name:     ShipableAUConfig_PlantNr,
		ShipableAUConfig_ArtId.Name:       ShipableAUConfig_ArtId,
		ShipableAUConfig_AuPo.Name:        ShipableAUConfig_AuPo,
		ShipableAUConfig_BarCodeRule.Name: ShipableAUConfig_BarCodeRule,
		ShipableAUConfig_StrPara1.Name:    ShipableAUConfig_StrPara1,
		ShipableAUConfig_StrPara2.Name:    ShipableAUConfig_StrPara2,
		ShipableAUConfig_StrPara3.Name:    ShipableAUConfig_StrPara3,
		ShipableAUConfig_IntPara1.Name:    ShipableAUConfig_IntPara1,
		ShipableAUConfig_IntPara2.Name:    ShipableAUConfig_IntPara2,
		ShipableAUConfig_IntPara3.Name:    ShipableAUConfig_IntPara3,
		ShipableAUConfig_Toggle1.Name:     ShipableAUConfig_Toggle1,
		ShipableAUConfig_Toggle2.Name:     ShipableAUConfig_Toggle2,
		ShipableAUConfig_Toggle3.Name:     ShipableAUConfig_Toggle3,
		ShipableAUConfig_LastModify.Name:  ShipableAUConfig_LastModify,
		ShipableAUConfig_LastUser.Name:    ShipableAUConfig_LastUser,
		ShipableAUConfig_CreateTime.Name:  ShipableAUConfig_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AuPo", "BarCodeRule", "StrPara1", "StrPara2", "StrPara3", "IntPara1", "IntPara2", "IntPara3", "Toggle1", "Toggle2", "Toggle3", "LastUser"})
