// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 14:06:37
 *
 ******************************************************************************/
var SerialOrder_PlantNr = grmi.NewField("PlantNr", "[OM_SerialOrder].PlantNr", "plantnr", grmi.TypeInt)
var SerialOrder_SerialOrderId = grmi.NewField("SerialOrderId", "[OM_SerialOrder].SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrder_ArtId = grmi.NewField("ArtId", "[OM_SerialOrder].ArtId", "artid", grmi.TypeString)
var SerialOrder_ProjectId = grmi.NewField("ProjectId", "[OM_SerialOrder].ProjectId", "projectid", grmi.TypeString)
var SerialOrder_Descr = grmi.NewField("Descr", "[OM_SerialOrder].Descr", "descr", grmi.TypeString)
var SerialOrder_WorkOrderId = grmi.NewField("WorkOrderId", "[OM_SerialOrder].WorkOrderId", "workorderid", grmi.TypeString)
var SerialOrder_CustOrderId = grmi.NewField("CustOrderId", "[OM_SerialOrder].CustOrderId", "custorderid", grmi.TypeString)
var SerialOrder_FirstPieceInBatch = grmi.NewField("FirstPieceInBatch", "[OM_SerialOrder].FirstPieceInBatch", "firstpieceinbatch", grmi.TypeBool)
var SerialOrder_LastPieceInBatch = grmi.NewField("LastPieceInBatch", "[OM_SerialOrder].LastPieceInBatch", "lastpieceinbatch", grmi.TypeBool)
var SerialOrder_PreSchedKey = grmi.NewField("PreSchedKey", "[OM_SerialOrder].PreSchedKey", "preschedkey", grmi.TypeInt64)
var SerialOrder_SchedKey = grmi.NewField("SchedKey", "[OM_SerialOrder].SchedKey", "schedkey", grmi.TypeInt64)
var SerialOrder_Priority = grmi.NewField("Priority", "[OM_SerialOrder].Priority", "priority", grmi.TypeInt)
var SerialOrder_OrderType = grmi.NewField("OrderType", "[OM_SerialOrder].OrderType", "ordertype", grmi.TypeString)
var SerialOrder_OrderType1 = grmi.NewField("OrderType1", "[OM_SerialOrder].OrderType1", "ordertype1", grmi.TypeString)
var SerialOrder_OrderType2 = grmi.NewField("OrderType2", "[OM_SerialOrder].OrderType2", "ordertype2", grmi.TypeString)
var SerialOrder_PlanResourceId = grmi.NewField("PlanResourceId", "[OM_SerialOrder].PlanResourceId", "planresourceid", grmi.TypeString)
var SerialOrder_UsedResourceId = grmi.NewField("UsedResourceId", "[OM_SerialOrder].UsedResourceId", "usedresourceid", grmi.TypeString)
var SerialOrder_PlanQty = grmi.NewField("PlanQty", "[OM_SerialOrder].PlanQty", "planqty", grmi.TypeFloat64)
var SerialOrder_QtyUomId = grmi.NewField("QtyUomId", "[OM_SerialOrder].QtyUomId", "qtyuomid", grmi.TypeString)
var SerialOrder_OpTimePerItem = grmi.NewField("OpTimePerItem", "[OM_SerialOrder].OpTimePerItem", "optimeperitem", grmi.TypeFloat64)
var SerialOrder_TimeUomId = grmi.NewField("TimeUomId", "[OM_SerialOrder].TimeUomId", "timeuomid", grmi.TypeString)
var SerialOrder_PlanStartDate = grmi.NewField("PlanStartDate", "[OM_SerialOrder].PlanStartDate", "planstartdate", grmi.TypeDate)
var SerialOrder_PlanEndDate = grmi.NewField("PlanEndDate", "[OM_SerialOrder].PlanEndDate", "planenddate", grmi.TypeDate)
var SerialOrder_SetupStartTime = grmi.NewField("SetupStartTime", "[OM_SerialOrder].SetupStartTime", "setupstarttime", grmi.TypeDateTime)
var SerialOrder_SetupEndTime = grmi.NewField("SetupEndTime", "[OM_SerialOrder].SetupEndTime", "setupendtime", grmi.TypeDateTime)
var SerialOrder_PlanStartTime = grmi.NewField("PlanStartTime", "[OM_SerialOrder].PlanStartTime", "planstarttime", grmi.TypeDateTime)
var SerialOrder_PlanEndTime = grmi.NewField("PlanEndTime", "[OM_SerialOrder].PlanEndTime", "planendtime", grmi.TypeDateTime)
var SerialOrder_ActStartTime = grmi.NewField("ActStartTime", "[OM_SerialOrder].ActStartTime", "actstarttime", grmi.TypeDateTime)
var SerialOrder_ActEndTime = grmi.NewField("ActEndTime", "[OM_SerialOrder].ActEndTime", "actendtime", grmi.TypeDateTime)
var SerialOrder_PickingFlag = grmi.NewField("PickingFlag", "[OM_SerialOrder].PickingFlag", "pickingflag", grmi.TypeString)
var SerialOrder_IsFirstPieceToggle = grmi.NewField("IsFirstPieceToggle", "[OM_SerialOrder].IsFirstPieceToggle", "isfirstpiecetoggle", grmi.TypeBool)
var SerialOrder_SyncKey = grmi.NewField("SyncKey", "[OM_SerialOrder].SyncKey", "synckey", grmi.TypeString)
var SerialOrder_BackFlushFlag = grmi.NewField("BackFlushFlag", "[OM_SerialOrder].BackFlushFlag", "backflushflag", grmi.TypeBool)
var SerialOrder_GenerateFlag = grmi.NewField("GenerateFlag", "[OM_SerialOrder].GenerateFlag", "generateflag", grmi.TypeBool)
var SerialOrder_RepairFlag = grmi.NewField("RepairFlag", "[OM_SerialOrder].RepairFlag", "repairflag", grmi.TypeBool)
var SerialOrder_OriginSerialOrderId = grmi.NewField("OriginSerialOrderId", "[OM_SerialOrder].OriginSerialOrderId", "originserialorderid", grmi.TypeString)
var SerialOrder_LinkSerialOrderId = grmi.NewField("LinkSerialOrderId", "[OM_SerialOrder].LinkSerialOrderId", "linkserialorderid", grmi.TypeString)
var SerialOrder_CtrlPara1 = grmi.NewField("CtrlPara1", "[OM_SerialOrder].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var SerialOrder_CtrlPara2 = grmi.NewField("CtrlPara2", "[OM_SerialOrder].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var SerialOrder_CtrlStr1 = grmi.NewField("CtrlStr1", "[OM_SerialOrder].CtrlStr1", "ctrlstr1", grmi.TypeString)
var SerialOrder_CtrlStr2 = grmi.NewField("CtrlStr2", "[OM_SerialOrder].CtrlStr2", "ctrlstr2", grmi.TypeString)
var SerialOrder_QualityCheck = grmi.NewField("QualityCheck", "[OM_SerialOrder].QualityCheck", "qualitycheck", grmi.TypeString)
var SerialOrder_QualityCheckTime = grmi.NewField("QualityCheckTime", "[OM_SerialOrder].QualityCheckTime", "qualitychecktime", grmi.TypeDateTime)
var SerialOrder_EOLCheck = grmi.NewField("EOLCheck", "[OM_SerialOrder].EOLCheck", "eolcheck", grmi.TypeDateTime)
var SerialOrder_MainOrderId = grmi.NewField("MainOrderId", "[OM_SerialOrder].MainOrderId", "mainorderid", grmi.TypeString)
var SerialOrder_CtrlTime1 = grmi.NewField("CtrlTime1", "[OM_SerialOrder].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var SerialOrder_CtrlTime2 = grmi.NewField("CtrlTime2", "[OM_SerialOrder].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var SerialOrder_LastModify = grmi.NewField("LastModify", "[OM_SerialOrder].LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrder_LastUser = grmi.NewField("LastUser", "[OM_SerialOrder].LastUser", "lastuser", grmi.TypeString)
var SerialOrder_CreateTime = grmi.NewField("CreateTime", "[OM_SerialOrder].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 14:06:37
 *
 ******************************************************************************/
var SerialOrder = grmi.NewEntity(
	"OM_SerialOrder",
	func() interface{} { return &model.SerialOrder{} },
	map[string]grmi.Field{
		SerialOrder_PlantNr.Name:             SerialOrder_PlantNr,
		SerialOrder_SerialOrderId.Name:       SerialOrder_SerialOrderId,
		SerialOrder_ArtId.Name:               SerialOrder_ArtId,
		SerialOrder_ProjectId.Name:           SerialOrder_ProjectId,
		SerialOrder_Descr.Name:               SerialOrder_Descr,
		SerialOrder_WorkOrderId.Name:         SerialOrder_WorkOrderId,
		SerialOrder_CustOrderId.Name:         SerialOrder_CustOrderId,
		SerialOrder_FirstPieceInBatch.Name:   SerialOrder_FirstPieceInBatch,
		SerialOrder_LastPieceInBatch.Name:    SerialOrder_LastPieceInBatch,
		SerialOrder_PreSchedKey.Name:         SerialOrder_PreSchedKey,
		SerialOrder_SchedKey.Name:            SerialOrder_SchedKey,
		SerialOrder_Priority.Name:            SerialOrder_Priority,
		SerialOrder_OrderType.Name:           SerialOrder_OrderType,
		SerialOrder_OrderType1.Name:          SerialOrder_OrderType1,
		SerialOrder_OrderType2.Name:          SerialOrder_OrderType2,
		SerialOrder_PlanResourceId.Name:      SerialOrder_PlanResourceId,
		SerialOrder_UsedResourceId.Name:      SerialOrder_UsedResourceId,
		SerialOrder_PlanQty.Name:             SerialOrder_PlanQty,
		SerialOrder_QtyUomId.Name:            SerialOrder_QtyUomId,
		SerialOrder_OpTimePerItem.Name:       SerialOrder_OpTimePerItem,
		SerialOrder_TimeUomId.Name:           SerialOrder_TimeUomId,
		SerialOrder_PlanStartDate.Name:       SerialOrder_PlanStartDate,
		SerialOrder_PlanEndDate.Name:         SerialOrder_PlanEndDate,
		SerialOrder_SetupStartTime.Name:      SerialOrder_SetupStartTime,
		SerialOrder_SetupEndTime.Name:        SerialOrder_SetupEndTime,
		SerialOrder_PlanStartTime.Name:       SerialOrder_PlanStartTime,
		SerialOrder_PlanEndTime.Name:         SerialOrder_PlanEndTime,
		SerialOrder_ActStartTime.Name:        SerialOrder_ActStartTime,
		SerialOrder_ActEndTime.Name:          SerialOrder_ActEndTime,
		SerialOrder_PickingFlag.Name:         SerialOrder_PickingFlag,
		SerialOrder_IsFirstPieceToggle.Name:  SerialOrder_IsFirstPieceToggle,
		SerialOrder_SyncKey.Name:             SerialOrder_SyncKey,
		SerialOrder_BackFlushFlag.Name:       SerialOrder_BackFlushFlag,
		SerialOrder_GenerateFlag.Name:        SerialOrder_GenerateFlag,
		SerialOrder_RepairFlag.Name:          SerialOrder_RepairFlag,
		SerialOrder_OriginSerialOrderId.Name: SerialOrder_OriginSerialOrderId,
		SerialOrder_LinkSerialOrderId.Name:   SerialOrder_LinkSerialOrderId,
		SerialOrder_CtrlPara1.Name:           SerialOrder_CtrlPara1,
		SerialOrder_CtrlPara2.Name:           SerialOrder_CtrlPara2,
		SerialOrder_CtrlStr1.Name:            SerialOrder_CtrlStr1,
		SerialOrder_CtrlStr2.Name:            SerialOrder_CtrlStr2,
		SerialOrder_QualityCheck.Name:        SerialOrder_QualityCheck,
		SerialOrder_QualityCheckTime.Name:    SerialOrder_QualityCheckTime,
		SerialOrder_MainOrderId.Name:         SerialOrder_MainOrderId,
		SerialOrder_CtrlTime1.Name:           SerialOrder_CtrlTime1,
		SerialOrder_CtrlTime2.Name:           SerialOrder_CtrlTime2,
		SerialOrder_EOLCheck.Name:            SerialOrder_EOLCheck,
		SerialOrder_LastModify.Name:          SerialOrder_LastModify,
		SerialOrder_LastUser.Name:            SerialOrder_LastUser,
		SerialOrder_CreateTime.Name:          SerialOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "ProjectId", "LinkSerialOrderId", "QualityCheck", "GenerateFlag", "OriginSerialOrderId", "Descr", "WorkOrderId", "CustOrderId", "FirstPieceInBatch", "LastPieceInBatch", "PreSchedKey", "SchedKey", "Priority", "OrderType", "OrderType1", "OrderType2", "PlanResourceId", "UsedResourceId", "PlanQty", "QtyUomId", "OpTimePerItem", "TimeUomId", "PlanStartDate", "PlanEndDate", "SetupStartTime", "SetupEndTime", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "PickingFlag", "IsFirstPieceToggle", "SyncKey", "BackFlushFlag", "RepairFlag", "QualityCheckTime", "MainOrderId", "EOLCheck", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
