// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : CustOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
var CustOrder_PlantNr = grmi.NewField("PlantNr", "[PLN_CustOrder].PlantNr", "plantnr", grmi.TypeInt)
var CustOrder_CustOrderId = grmi.NewField("CustOrderId", "[PLN_CustOrder].CustOrderId", "custorderid", grmi.TypeString)
var CustOrder_ProductFamilyId = grmi.NewField("ProductFamilyId", "[PLN_CustOrder].ProductFamilyId", "productfamilyid", grmi.TypeString)
var CustOrder_PartId = grmi.NewField("PartId", "[PLN_CustOrder].PartId", "partid", grmi.TypeString)
var CustOrder_OemOrderId = grmi.NewField("OemOrderId", "[PLN_CustOrder].OemOrderId", "oemorderid", grmi.TypeString)
var CustOrder_OrderType = grmi.NewField("OrderType", "[PLN_CustOrder].OrderType", "ordertype", grmi.TypeString)
var CustOrder_OrderInfo = grmi.NewField("OrderInfo", "[PLN_CustOrder].OrderInfo", "orderinfo", grmi.TypeString)
var CustOrder_OrderTime = grmi.NewField("OrderTime", "[PLN_CustOrder].OrderTime", "ordertime", grmi.TypeDateTime)
var CustOrder_DeliveryTime = grmi.NewField("DeliveryTime", "[PLN_CustOrder].DeliveryTime", "deliverytime", grmi.TypeDateTime)
var CustOrder_ProjectId = grmi.NewField("ProjectId", "[PLN_CustOrder].ProjectId", "projectid", grmi.TypeString)
var CustOrder_ConfigValue = grmi.NewField("ConfigValue", "[PLN_CustOrder].ConfigValue", "configvalue", grmi.TypeString)
var CustOrder_ModelValue = grmi.NewField("ModelValue", "[PLN_CustOrder].ModelValue", "modelvalue", grmi.TypeString)
var CustOrder_ColorValue = grmi.NewField("ColorValue", "[PLN_CustOrder].ColorValue", "colorvalue", grmi.TypeString)
var CustOrder_HandleStatus = grmi.NewField("HandleStatus", "[PLN_CustOrder].HandleStatus", "handlestatus", grmi.TypeString)
var CustOrder_VinPrefix = grmi.NewField("VinPrefix", "[PLN_CustOrder].VinPrefix", "vinprefix", grmi.TypeString)
var CustOrder_VinNrFrom = grmi.NewField("VinNrFrom", "[PLN_CustOrder].VinNrFrom", "vinnrfrom", grmi.TypeInt)
var CustOrder_VinNrTo = grmi.NewField("VinNrTo", "[PLN_CustOrder].VinNrTo", "vinnrto", grmi.TypeInt)
var CustOrder_Vin = grmi.NewField("Vin", "[PLN_CustOrder].Vin", "vin", grmi.TypeString)
var CustOrder_PlanQty = grmi.NewField("PlanQty", "[PLN_CustOrder].PlanQty", "planqty", grmi.TypeInt)
var CustOrder_DeliveryDate = grmi.NewField("DeliveryDate", "[PLN_CustOrder].DeliveryDate", "deliverydate", grmi.TypeDate)
var CustOrder_DeliveryDateTime = grmi.NewField("DeliveryDateTime", "[PLN_CustOrder].DeliveryDateTime", "deliverydatetime", grmi.TypeDateTime)
var CustOrder_OemSeq = grmi.NewField("OemSeq", "[PLN_CustOrder].OemSeq", "oemseq", grmi.TypeInt64)
var CustOrder_AssemblyLine = grmi.NewField("AssemblyLine", "[PLN_CustOrder].AssemblyLine", "assemblyline", grmi.TypeString)
var CustOrder_UnloadingPoint = grmi.NewField("UnloadingPoint", "[PLN_CustOrder].UnloadingPoint", "unloadingpoint", grmi.TypeString)
var CustOrder_CalloffId = grmi.NewField("CalloffId", "[PLN_CustOrder].CalloffId", "calloffid", grmi.TypeString)
var CustOrder_CalloffDateTime = grmi.NewField("CalloffDateTime", "[PLN_CustOrder].CalloffDateTime", "calloffdatetime", grmi.TypeDateTime)
var CustOrder_ConsigneePlant = grmi.NewField("ConsigneePlant", "[PLN_CustOrder].ConsigneePlant", "consigneeplant", grmi.TypeInt)
var CustOrder_ConsigneeCompany = grmi.NewField("ConsigneeCompany", "[PLN_CustOrder].ConsigneeCompany", "consigneecompany", grmi.TypeInt)
var CustOrder_ConsumeCompany = grmi.NewField("ConsumeCompany", "[PLN_CustOrder].ConsumeCompany", "consumecompany", grmi.TypeInt)
var CustOrder_ConsumePlant = grmi.NewField("ConsumePlant", "[PLN_CustOrder].ConsumePlant", "consumeplant", grmi.TypeInt)
var CustOrder_UnloadingPlace = grmi.NewField("UnloadingPlace", "[PLN_CustOrder].UnloadingPlace", "unloadingplace", grmi.TypeString)
var CustOrder_VehicleIdSet = grmi.NewField("VehicleIdSet", "[PLN_CustOrder].VehicleIdSet", "vehicleidset", grmi.TypeString)
var CustOrder_VehicleId = grmi.NewField("VehicleId", "[PLN_CustOrder].VehicleId", "vehicleid", grmi.TypeString)
var CustOrder_PlanStartDate = grmi.NewField("PlanStartDate", "[PLN_CustOrder].PlanStartDate", "planstartdate", grmi.TypeDate)
var CustOrder_PlanEndDate = grmi.NewField("PlanEndDate", "[PLN_CustOrder].PlanEndDate", "planenddate", grmi.TypeDate)
var CustOrder_SetupStartTime = grmi.NewField("SetupStartTime", "[PLN_CustOrder].SetupStartTime", "setupstarttime", grmi.TypeDateTime)
var CustOrder_SetupEndTime = grmi.NewField("SetupEndTime", "[PLN_CustOrder].SetupEndTime", "setupendtime", grmi.TypeDateTime)
var CustOrder_PlanStartTime = grmi.NewField("PlanStartTime", "[PLN_CustOrder].PlanStartTime", "planstarttime", grmi.TypeDateTime)
var CustOrder_PlanEndTime = grmi.NewField("PlanEndTime", "[PLN_CustOrder].PlanEndTime", "planendtime", grmi.TypeDateTime)
var CustOrder_ActStartTime = grmi.NewField("ActStartTime", "[PLN_CustOrder].ActStartTime", "actstarttime", grmi.TypeDateTime)
var CustOrder_ActEndTime = grmi.NewField("ActEndTime", "[PLN_CustOrder].ActEndTime", "actendtime", grmi.TypeDateTime)
var CustOrder_FixStartTimeToggle = grmi.NewField("FixStartTimeToggle", "[PLN_CustOrder].FixStartTimeToggle", "fixstarttimetoggle", grmi.TypeBool)
var CustOrder_WorkLineId = grmi.NewField("WorkLineId", "[PLN_CustOrder].WorkLineId", "worklineid", grmi.TypeString)
var CustOrder_QuantityPerHour = grmi.NewField("QuantityPerHour", "[PLN_CustOrder].QuantityPerHour", "quantityperhour", grmi.TypeInt)
var CustOrder_CtrlPara1 = grmi.NewField("CtrlPara1", "[PLN_CustOrder].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var CustOrder_CtrlPara2 = grmi.NewField("CtrlPara2", "[PLN_CustOrder].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var CustOrder_CtrlStr1 = grmi.NewField("CtrlStr1", "[PLN_CustOrder].CtrlStr1", "ctrlstr1", grmi.TypeString)
var CustOrder_CtrlStr2 = grmi.NewField("CtrlStr2", "[PLN_CustOrder].CtrlStr2", "ctrlstr2", grmi.TypeString)
var CustOrder_LastModify = grmi.NewField("LastModify", "[PLN_CustOrder].LastModify", "lastmodify", grmi.TypeDateTime)
var CustOrder_LastUser = grmi.NewField("LastUser", "[PLN_CustOrder].LastUser", "lastuser", grmi.TypeString)
var CustOrder_CreateTime = grmi.NewField("CreateTime", "[PLN_CustOrder].CreateTime", "createtime", grmi.TypeDateTime)
var CustOrder_SourceId = grmi.NewField("SourceId", "[PLN_CustOrder].SourceId", "sourceid", grmi.TypeString)

/******************************************************************************
 *
 * @Description              : CustOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
var CustOrder = grmi.NewEntity(
	"PLN_CustOrder",
	func() interface{} { return &model.CustOrder{} },
	map[string]grmi.Field{
		CustOrder_PlantNr.Name:            CustOrder_PlantNr,
		CustOrder_CustOrderId.Name:        CustOrder_CustOrderId,
		CustOrder_ProductFamilyId.Name:    CustOrder_ProductFamilyId,
		CustOrder_PartId.Name:             CustOrder_PartId,
		CustOrder_OemOrderId.Name:         CustOrder_OemOrderId,
		CustOrder_OrderType.Name:          CustOrder_OrderType,
		CustOrder_OrderInfo.Name:          CustOrder_OrderInfo,
		CustOrder_OrderTime.Name:          CustOrder_OrderTime,
		CustOrder_DeliveryTime.Name:       CustOrder_DeliveryTime,
		CustOrder_ProjectId.Name:          CustOrder_ProjectId,
		CustOrder_ConfigValue.Name:        CustOrder_ConfigValue,
		CustOrder_ModelValue.Name:         CustOrder_ModelValue,
		CustOrder_ColorValue.Name:         CustOrder_ColorValue,
		CustOrder_HandleStatus.Name:       CustOrder_HandleStatus,
		CustOrder_VinPrefix.Name:          CustOrder_VinPrefix,
		CustOrder_VinNrFrom.Name:          CustOrder_VinNrFrom,
		CustOrder_VinNrTo.Name:            CustOrder_VinNrTo,
		CustOrder_Vin.Name:                CustOrder_Vin,
		CustOrder_PlanQty.Name:            CustOrder_PlanQty,
		CustOrder_DeliveryDate.Name:       CustOrder_DeliveryDate,
		CustOrder_DeliveryDateTime.Name:   CustOrder_DeliveryDateTime,
		CustOrder_OemSeq.Name:             CustOrder_OemSeq,
		CustOrder_AssemblyLine.Name:       CustOrder_AssemblyLine,
		CustOrder_UnloadingPoint.Name:     CustOrder_UnloadingPoint,
		CustOrder_CalloffId.Name:          CustOrder_CalloffId,
		CustOrder_CalloffDateTime.Name:    CustOrder_CalloffDateTime,
		CustOrder_ConsigneePlant.Name:     CustOrder_ConsigneePlant,
		CustOrder_ConsigneeCompany.Name:   CustOrder_ConsigneeCompany,
		CustOrder_ConsumeCompany.Name:     CustOrder_ConsumeCompany,
		CustOrder_ConsumePlant.Name:       CustOrder_ConsumePlant,
		CustOrder_UnloadingPlace.Name:     CustOrder_UnloadingPlace,
		CustOrder_VehicleIdSet.Name:       CustOrder_VehicleIdSet,
		CustOrder_VehicleId.Name:          CustOrder_VehicleId,
		CustOrder_PlanStartDate.Name:      CustOrder_PlanStartDate,
		CustOrder_PlanEndDate.Name:        CustOrder_PlanEndDate,
		CustOrder_SetupStartTime.Name:     CustOrder_SetupStartTime,
		CustOrder_SetupEndTime.Name:       CustOrder_SetupEndTime,
		CustOrder_PlanStartTime.Name:      CustOrder_PlanStartTime,
		CustOrder_PlanEndTime.Name:        CustOrder_PlanEndTime,
		CustOrder_ActStartTime.Name:       CustOrder_ActStartTime,
		CustOrder_ActEndTime.Name:         CustOrder_ActEndTime,
		CustOrder_FixStartTimeToggle.Name: CustOrder_FixStartTimeToggle,
		CustOrder_WorkLineId.Name:         CustOrder_WorkLineId,
		CustOrder_QuantityPerHour.Name: CustOrder_QuantityPerHour,
		CustOrder_CtrlPara1.Name:          CustOrder_CtrlPara1,
		CustOrder_CtrlPara2.Name:          CustOrder_CtrlPara2,
		CustOrder_CtrlStr1.Name:           CustOrder_CtrlStr1,
		CustOrder_CtrlStr2.Name:           CustOrder_CtrlStr2,
		CustOrder_LastModify.Name:         CustOrder_LastModify,
		CustOrder_LastUser.Name:           CustOrder_LastUser,
		CustOrder_CreateTime.Name:         CustOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ProductFamilyId", "PartId", "OemOrderId", "OrderType", "OrderInfo", "OrderTime", "DeliveryTime", "ProjectId", "ConfigValue", "ModelValue", "ColorValue", "HandleStatus", "VinPrefix", "VinNrFrom", "VinNrTo", "Vin", "PlanQty", "DeliveryDate", "DeliveryDateTime", "OemSeq", "AssemblyLine", "UnloadingPoint", "CalloffId", "CalloffDateTime", "ConsigneePlant", "ConsigneeCompany", "ConsumeCompany", "ConsumePlant", "UnloadingPlace", "VehicleIdSet", "VehicleId", "PlanStartDate", "PlanEndDate", "SetupStartTime", "SetupEndTime", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "FixStartTimeToggle", "WorkLineId", "QuantityPerHour","CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "LastUser"})
