// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : HondaCalloffErrorLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
var HondaCalloffErrorLst_PlantNr = grmi.NewField("PlantNr", "[PLN_HondaCalloffErrorLst].PlantNr", "plantnr", grmi.TypeInt)
var HondaCalloffErrorLst_CalloffId = grmi.NewField("CalloffId", "[PLN_HondaCalloffErrorLst].CalloffId", "calloffid", grmi.TypeString)
var HondaCalloffErrorLst_Pos = grmi.NewField("Pos", "[PLN_HondaCalloffErrorLst].Pos", "pos", grmi.TypeInt)
var HondaCalloffErrorLst_ErrorType = grmi.NewField("ErrorType", "[PLN_HondaCalloffErrorLst].ErrorType", "errortype", grmi.TypeString)
var HondaCalloffErrorLst_ErrorInfo = grmi.NewField("ErrorInfo", "[PLN_HondaCalloffErrorLst].ErrorInfo", "errorinfo", grmi.TypeString)
var HondaCalloffErrorLst_ErrorStatus = grmi.NewField("ErrorStatus", "[PLN_HondaCalloffErrorLst].ErrorStatus", "errorstatus", grmi.TypeString)
var HondaCalloffErrorLst_LastModify = grmi.NewField("LastModify", "[PLN_HondaCalloffErrorLst].LastModify", "lastmodify", grmi.TypeDateTime)
var HondaCalloffErrorLst_LastUser = grmi.NewField("LastUser", "[PLN_HondaCalloffErrorLst].LastUser", "lastuser", grmi.TypeString)
var HondaCalloffErrorLst_CreateTime = grmi.NewField("CreateTime", "[PLN_HondaCalloffErrorLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : HondaCalloffErrorLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
var HondaCalloffErrorLst = grmi.NewEntity(
	"PLN_HondaCalloffErrorLst",
	func() interface{} { return &model.HondaCalloffErrorLst{} },
	map[string]grmi.Field{
		HondaCalloffErrorLst_PlantNr.Name:     HondaCalloffErrorLst_PlantNr,
		HondaCalloffErrorLst_CalloffId.Name:   HondaCalloffErrorLst_CalloffId,
		HondaCalloffErrorLst_Pos.Name:         HondaCalloffErrorLst_Pos,
		HondaCalloffErrorLst_ErrorType.Name:   HondaCalloffErrorLst_ErrorType,
		HondaCalloffErrorLst_ErrorInfo.Name:   HondaCalloffErrorLst_ErrorInfo,
		HondaCalloffErrorLst_ErrorStatus.Name: HondaCalloffErrorLst_ErrorStatus,
		HondaCalloffErrorLst_LastModify.Name:  HondaCalloffErrorLst_LastModify,
		HondaCalloffErrorLst_LastUser.Name:    HondaCalloffErrorLst_LastUser,
		HondaCalloffErrorLst_CreateTime.Name:  HondaCalloffErrorLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ErrorType", "ErrorInfo", "ErrorStatus", "LastUser"})
