// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Attribute的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Attribute_PlantNr = grmi.NewField("PlantNr", "[PM_Attribute].PlantNr", "plantnr", grmi.TypeInt)
var Attribute_AttrNr = grmi.NewField("AttrNr", "[PM_Attribute].AttrNr", "attrnr", grmi.TypeInt)
var Attribute_AttrName = grmi.NewField("AttrName", "[PM_Attribute].AttrName", "attrname", grmi.TypeString)
var Attribute_Descr = grmi.NewField("Descr", "[PM_Attribute].Descr", "descr", grmi.TypeString)
var Attribute_ShortCode = grmi.NewField("ShortCode", "[PM_Attribute].ShortCode", "shortcode", grmi.TypeString)
var Attribute_AttrDataType = grmi.NewField("AttrDataType", "[PM_Attribute].AttrDataType", "attrdatatype", grmi.TypeString)
var Attribute_AttrValType = grmi.NewField("AttrValType", "[PM_Attribute].AttrValType", "attrvaltype", grmi.TypeString)
var Attribute_ValidVal = grmi.NewField("ValidVal", "[PM_Attribute].ValidVal", "validval", grmi.TypeString)
var Attribute_ValPicture = grmi.NewField("ValPicture", "[PM_Attribute].ValPicture", "valpicture", grmi.TypeString)
var Attribute_Picture1 = grmi.NewField("Picture1", "[PM_Attribute].Picture1", "picture1", grmi.TypeString)
var Attribute_Picture2 = grmi.NewField("Picture2", "[PM_Attribute].Picture2", "picture2", grmi.TypeString)
var Attribute_IsAttrGrpToggle = grmi.NewField("IsAttrGrpToggle", "[PM_Attribute].IsAttrGrpToggle", "isattrgrptoggle", grmi.TypeBool)
var Attribute_LastModify = grmi.NewField("LastModify", "[PM_Attribute].LastModify", "lastmodify", grmi.TypeDateTime)
var Attribute_LastUser = grmi.NewField("LastUser", "[PM_Attribute].LastUser", "lastuser", grmi.TypeString)
var Attribute_CreateTime = grmi.NewField("CreateTime", "[PM_Attribute].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Attribute的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Attribute = grmi.NewEntity(
	"PM_Attribute",
	func() interface{} { return &model.Attribute{} },
	map[string]grmi.Field{
		Attribute_PlantNr.Name:         Attribute_PlantNr,
		Attribute_AttrNr.Name:          Attribute_AttrNr,
		Attribute_AttrName.Name:        Attribute_AttrName,
		Attribute_Descr.Name:           Attribute_Descr,
		Attribute_ShortCode.Name:       Attribute_ShortCode,
		Attribute_AttrDataType.Name:    Attribute_AttrDataType,
		Attribute_AttrValType.Name:     Attribute_AttrValType,
		Attribute_ValidVal.Name:        Attribute_ValidVal,
		Attribute_ValPicture.Name:      Attribute_ValPicture,
		Attribute_Picture1.Name:        Attribute_Picture1,
		Attribute_Picture2.Name:        Attribute_Picture2,
		Attribute_IsAttrGrpToggle.Name: Attribute_IsAttrGrpToggle,
		Attribute_LastModify.Name:      Attribute_LastModify,
		Attribute_LastUser.Name:        Attribute_LastUser,
		Attribute_CreateTime.Name:      Attribute_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AttrName", "Descr", "ShortCode", "AttrDataType", "AttrValType", "ValidVal", "ValPicture", "Picture1", "Picture2", "IsAttrGrpToggle", "LastUser"})
