// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : LabelDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : LabelDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type LabelDetail struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"LabelDetail-PlantNr"`
	LabelId       string        `xorm:"pk nvarchar(40) 'LabelId'" json:"LabelDetail-LabelId"`
	Pos           int           `xorm:"pk int 'Pos'" json:"LabelDetail-Pos"`
	VariableName  string        `xorm:"nvarchar(40) 'VariableName' not null" json:"LabelDetail-VariableName"`
	VariableValue string        `xorm:"nvarchar(100) 'VariableValue' not null" json:"LabelDetail-VariableValue"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LabelDetail-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LabelDetail-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LabelDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func (self *LabelDetail) GetKey() core.PK {
	return core.PK{self.PlantNr, self.LabelId, self.Pos}
}
