// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkLineProcessLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineProcessLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
type WorkLineProcessLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"WorkLineProcessLst-PlantNr"`
	WorkLineId string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"WorkLineProcessLst-WorkLineId"`
	PO         string        `xorm:"pk nvarchar(40) 'PO'" json:"WorkLineProcessLst-PO"`
	PODescr    string        `xorm:"nvarchar(100) 'PODescr' not null" json:"WorkLineProcessLst-PODescr"`
	Pos        int           `xorm:"int 'Pos' not null" json:"WorkLineProcessLst-Pos"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineProcessLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineProcessLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineProcessLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
func (self *WorkLineProcessLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineId, self.PO}
}
