// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackTemplateItemLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackTemplateItemLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type PackTemplateItemLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"JIT_PackTemplateItemLst-PlantNr"`
	PackTemplateId string        `xorm:"pk nvarchar(40) 'PackTemplateId'" json:"JIT_PackTemplateItemLst-PackTemplateId"`
	Pos            int           `xorm:"pk int 'Pos'" json:"JIT_PackTemplateItemLst-Pos"`
	PosCode        string        `xorm:"nvarchar(40) 'PosCode' not null" json:"JIT_PackTemplateItemLst-PosCode"`
	PartId         string        `xorm:"nvarchar(40) 'PartId' not null" json:"JIT_PackTemplateItemLst-PartId"`
	Seq            int           `xorm:"int 'Seq' not null" json:"JIT_PackTemplateItemLst-Seq"`
	PlanQty        int           `xorm:"int 'PlanQty' not null" json:"JIT_PackTemplateItemLst-PlanQty"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_PackTemplateItemLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_PackTemplateItemLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_PackTemplateItemLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *PackTemplateItemLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackTemplateId, self.Pos}
}
