// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProductFamilyWorkLineLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductFamilyWorkLineLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-11 13:56:25
 *
 ******************************************************************************/
type ProductFamilyWorkLineLst struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"ME_ProductFamilyWorkLineLst-PlantNr"`
	ProductFamilyId string        `xorm:"pk nvarchar(40) 'ProductFamilyId'" json:"ME_ProductFamilyWorkLineLst-ProductFamilyId"`
	WorkLineId      string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"ME_ProductFamilyWorkLineLst-WorkLineId"`
	WorkLineDescr   string        `xorm:"nvarchar(100) 'WorkLineDescr' not null" json:"ME_ProductFamilyWorkLineLst-WorkLineDescr"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ME_ProductFamilyWorkLineLst-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ME_ProductFamilyWorkLineLst-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ME_ProductFamilyWorkLineLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-11 13:56:25
 *
 ******************************************************************************/
func (self *ProductFamilyWorkLineLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProductFamilyId, self.WorkLineId}
}
