package me

type BomArt struct {
	Qty   int
	ArtId string
}

// BomLstWithArt BomLst前端传入结构体
type BomLstWithArt struct {
	ArtId  string `json:"artId"`
	BomLst BomLst `json:"bomLst"`
}

// ProductWorkLineData 产品和产线绑定关系前端传入结构体
type ProductWorkLineData struct {
	ProductId            string               `json:"productId"`
	ProjectId    string               `json:"projectId"`
	WorkLineIdLi []string `json:"workLineIdLi"`
}

// ProductFamilyWorkLineData 产品和产线绑定关系前端传入结构体
type ProductFamilyWorkLineData struct {
	ProductFamilyId string   `json:"productFamilyId"`
	WorkLineIdLi    []string `json:"workLineIdLi"`
}

// ProductFamilyRelateAndProduct ProductFamilyRelate Product连表
type ProductFamilyRelateAndProduct struct {
	Product             `xorm:"extends"`
	ProductFamilyRelate `xorm:"extends"`
}

// ProductFamilyRelateWithData 连表
type ProductFamilyRelateWithData struct {
	ProductFamilyRelate `xorm:"extends"`
	ProductFamily       `xorm:"extends"`
}
