package om

const (
	// 订单解析状态
	DemandHeadLoadingStatus    = 1 // 加载中
	DemandHeadLoadFailedStatus = 2 // 加载失败
	DemandHeadUnParsedStatus   = 3 // 待解析
	DemandHeadParsingStatus    = 4 // 解析中
	DemandHeadParsedStatus     = 5 // 已解析

	DemandMaxTry = 10
)

const (

	// workOrderToMes的TriggerEvent
	TriggerEventLocked       = "locked"
	TriggerEventReleased     = "released"
	TriggerEventAccomplished = "accomplished"

	MesOutputStatusUnSend     = 1
	MesOutputStatusSended     = 2
	MesOutputStatusSendFailed = 3
	MesOutputNum              = 100
	MesOutputRetryNum         = 10
)

const (
	ParseSourceInterval = "INT"
	ParseSourceMES      = "MES"

	CacheWorkOrderType  = "Cache"
	ParseTaskTypeByTime = "ByTime"
	ParseTaskTypeByDay  = "ByDay"

	ORDER_CLOSED = "ORDER_CLOSED"
	ORDER_FAILED = "ORDER_FAILED"
	ORDER_UNDEALED = 0
	ORDER_DEALED = 1

	EOL_STATUS_OK = "OK"
	EOL_STATUS_NG = "NG"
)
