// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : HondaDemandErrorLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaDemandErrorLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
type HondaDemandErrorLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PLN_HondaDemandErrorLst-PlantNr"`
	DemandId    string        `xorm:"pk nvarchar(40) 'DemandId'" json:"PLN_HondaDemandErrorLst-DemandId"`
	Pos         int           `xorm:"pk int 'Pos'" json:"PLN_HondaDemandErrorLst-Pos"`
	ErrorType   string        `xorm:"nvarchar(20) 'ErrorType' not null" json:"PLN_HondaDemandErrorLst-ErrorType"`
	ErrorInfo   string        `xorm:"nvarchar(255) 'ErrorInfo' not null" json:"PLN_HondaDemandErrorLst-ErrorInfo"`
	ErrorStatus string        `xorm:"nvarchar(1) 'ErrorStatus' not null" json:"PLN_HondaDemandErrorLst-ErrorStatus"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_HondaDemandErrorLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_HondaDemandErrorLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_HondaDemandErrorLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
func (self *HondaDemandErrorLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DemandId, self.Pos}
}
