package pln

const (
	// callOff 文件解析状态
	CALL_OFF_LOADED       = 2 // 已加载
	CALL_OFF_PARSING      = 3 // 解析中
	CALL_OFF_PARED        = 4 // 已解析
	CALL_OFF_PARSE_FAILED = 5 // 解析失败
	CALL_OFF_PARSED_PART = 6 // 部分解析

	// CallOff 错误状态
	ERROR_STATUS_ON = "ON"
	ERROR_STATUS_OFF = "OFF"

	// CallOff 错误类型
	ERROR_TYPE_SYSTEM = "SYSTEM"
	ERROR_TYPE_DATA = "DATA"
	ERROR_TYPE_HINT = "HINT"
	ERROR_TYTPE_PLC = "PLC"

	// 状态变更类型
	STATUS_CHANGE_TYPE_REPORT = "REPORT"
	STATUS__CHANGE_TYPE_SCHUDLER = "SCHUDLER"
	STATUS_CHANGE_TYPE_OPERATION = "OPERATION"
	STATUS_CHANGE_TYPE_SPLIT = "SPLIT"
	STATUS_CHANGE_TYPE_RELEASE = "RELEASE"

	// toyota calloff 解析状态
	CALLOFF_STATUS_UNPARSED = 0
	CALLOFF_STATUS_PARSED = 1
	CALLOFF_STATUS_SHIPED = 2

	DELIVERY_STATUS_PLAN = 0
	DELIVERY_STATUS_DONE = 1


)
