// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : DashBoardLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : DashBoardLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-10 17:33:11
 *
 ******************************************************************************/
type DashBoardLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"RP_DashBoardLst-PlantNr"`
	DashboardId string        `xorm:"pk nvarchar(100) 'DashboardId'" json:"RP_DashBoardLst-DashboardId"`
	Pos         int           `xorm:"pk int 'Pos'" json:"RP_DashBoardLst-Pos"`
	ParamName   string        `xorm:"nvarchar(40) 'ParamName' not null" json:"RP_DashBoardLst-ParamName"`
	Descr       string        `xorm:"nvarchar(100) 'Descr' not null" json:"RP_DashBoardLst-Descr"`
	IntParam1   int           `xorm:"int 'IntParam1' not null" json:"RP_DashBoardLst-IntParam1"`
	IntParam2   int           `xorm:"int 'IntParam2' not null" json:"RP_DashBoardLst-IntParam2"`
	FloatParam1 float64       `xorm:"float 'FloatParam1' not null" json:"RP_DashBoardLst-FloatParam1"`
	FloatParam2 float64       `xorm:"float 'FloatParam2' not null" json:"RP_DashBoardLst-FloatParam2"`
	CharParam1  string        `xorm:"nvarchar(100) 'CharParam1' not null" json:"RP_DashBoardLst-CharParam1"`
	CharParam2  string        `xorm:"nvarchar(100) 'CharParam2' not null" json:"RP_DashBoardLst-CharParam2"`
	CharParam3  string        `xorm:"nvarchar(100) 'CharParam3' not null" json:"RP_DashBoardLst-CharParam3"`
	CharParam4  string        `xorm:"nvarchar(100) 'CharParam4' not null" json:"RP_DashBoardLst-CharParam4"`
	IntParam3   int           `xorm:"int 'IntParam3' not null" json:"RP_DashBoardLst-IntParam3"`
	IntParam4   int           `xorm:"int 'IntParam4' not null" json:"RP_DashBoardLst-IntParam4"`
	IntParam5   int           `xorm:"int 'IntParam5' not null" json:"RP_DashBoardLst-IntParam5"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"RP_DashBoardLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"RP_DashBoardLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"RP_DashBoardLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-10 17:33:11
 *
 ******************************************************************************/
func (self *DashBoardLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DashboardId, self.Pos}
}
