// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ArtCheckRule的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 11:19:07
 *
 ******************************************************************************/
var ArtCheckRule_PlantNr = grmi.NewField("PlantNr", "[ArtCheckRule].PlantNr", "plantnr", grmi.TypeInt)
var ArtCheckRule_AttriCode = grmi.NewField("AttriCode", "[ArtCheckRule].AttriCode", "attricode", grmi.TypeInt)
var ArtCheckRule_WorkLineId = grmi.NewField("WorkLineId", "[ArtCheckRule].WorkLineId", "worklineid", grmi.TypeString)
var ArtCheckRule_ProjectId = grmi.NewField("ProjectId", "[ArtCheckRule].ProjectId", "projectid", grmi.TypeString)
var ArtCheckRule_SubObject = grmi.NewField("SubObject", "[ArtCheckRule].SubObject", "subobject", grmi.TypeString)
var ArtCheckRule_AttriCodeDesc = grmi.NewField("AttriCodeDesc", "[ArtCheckRule].AttriCodeDesc", "attricodedesc", grmi.TypeString)
var ArtCheckRule_CodeLength = grmi.NewField("CodeLength", "[ArtCheckRule].CodeLength", "codelength", grmi.TypeString)
var ArtCheckRule_CheckStartPos = grmi.NewField("CheckStartPos", "[ArtCheckRule].CheckStartPos", "checkstartpos", grmi.TypeInt)
var ArtCheckRule_CheckLength = grmi.NewField("CheckLength", "[ArtCheckRule].CheckLength", "checklength", grmi.TypeInt)
var ArtCheckRule_CheckObject = grmi.NewField("CheckObject", "[ArtCheckRule].CheckObject", "checkobject", grmi.TypeString)
var ArtCheckRule_OnlyBarCodeFlag = grmi.NewField("OnlyBarCodeFlag", "[ArtCheckRule].OnlyBarCodeFlag", "onlybarcodeflag", grmi.TypeBool)
var ArtCheckRule_CodeType = grmi.NewField("CodeType", "[ArtCheckRule].CodeType", "codetype", grmi.TypeString)
var ArtCheckRule_CodeTypeCheckToggle = grmi.NewField("CodeTypeCheckToggle", "[ArtCheckRule].CodeTypeCheckToggle", "codetypechecktoggle", grmi.TypeBool)
var ArtCheckRule_CheckValue = grmi.NewField("CheckValue", "[ArtCheckRule].CheckValue", "checkvalue", grmi.TypeString)
var ArtCheckRule_LastModify = grmi.NewField("LastModify", "[ArtCheckRule].LastModify", "lastmodify", grmi.TypeDateTime)
var ArtCheckRule_LastUser = grmi.NewField("LastUser", "[ArtCheckRule].LastUser", "lastuser", grmi.TypeString)
var ArtCheckRule_CreateTime = grmi.NewField("CreateTime", "[ArtCheckRule].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtCheckRule的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 11:19:07
 *
 ******************************************************************************/
var ArtCheckRule = grmi.NewEntity(
	"ArtCheckRule",
	func() interface{} { return &model.ArtCheckRule{} },
	map[string]grmi.Field{
		ArtCheckRule_PlantNr.Name:             ArtCheckRule_PlantNr,
		ArtCheckRule_AttriCode.Name:           ArtCheckRule_AttriCode,
		ArtCheckRule_WorkLineId.Name:          ArtCheckRule_WorkLineId,
		ArtCheckRule_ProjectId.Name:           ArtCheckRule_ProjectId,
		ArtCheckRule_SubObject.Name:           ArtCheckRule_SubObject,
		ArtCheckRule_AttriCodeDesc.Name:       ArtCheckRule_AttriCodeDesc,
		ArtCheckRule_CodeLength.Name:          ArtCheckRule_CodeLength,
		ArtCheckRule_CheckStartPos.Name:       ArtCheckRule_CheckStartPos,
		ArtCheckRule_CheckLength.Name:         ArtCheckRule_CheckLength,
		ArtCheckRule_CheckObject.Name:         ArtCheckRule_CheckObject,
		ArtCheckRule_OnlyBarCodeFlag.Name:     ArtCheckRule_OnlyBarCodeFlag,
		ArtCheckRule_CodeType.Name:            ArtCheckRule_CodeType,
		ArtCheckRule_CodeTypeCheckToggle.Name: ArtCheckRule_CodeTypeCheckToggle,
		ArtCheckRule_CheckValue.Name:          ArtCheckRule_CheckValue,
		ArtCheckRule_LastModify.Name:          ArtCheckRule_LastModify,
		ArtCheckRule_LastUser.Name:            ArtCheckRule_LastUser,
		ArtCheckRule_CreateTime.Name:          ArtCheckRule_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AttriCodeDesc", "CodeLength", "CheckStartPos", "CheckLength", "CheckObject", "OnlyBarCodeFlag", "CodeType", "CodeTypeCheckToggle", "CheckValue", "LastUser"})
