// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : LabelTemplateDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelTemplateDetail_PlantNr = grmi.NewField("PlantNr", "[LabelTemplateDetail].PlantNr", "plantnr", grmi.TypeInt)
var LabelTemplateDetail_LabelTemplateId = grmi.NewField("LabelTemplateId", "[LabelTemplateDetail].LabelTemplateId", "labeltemplateid", grmi.TypeString)
var LabelTemplateDetail_Pos = grmi.NewField("Pos", "[LabelTemplateDetail].Pos", "pos", grmi.TypeInt)
var LabelTemplateDetail_X = grmi.NewField("X", "[LabelTemplateDetail].X", "x", grmi.TypeInt)
var LabelTemplateDetail_Y = grmi.NewField("Y", "[LabelTemplateDetail].Y", "y", grmi.TypeInt)
var LabelTemplateDetail_Height = grmi.NewField("Height", "[LabelTemplateDetail].Height", "height", grmi.TypeInt)
var LabelTemplateDetail_Width = grmi.NewField("Width", "[LabelTemplateDetail].Width", "width", grmi.TypeInt)
var LabelTemplateDetail_LabelItemType = grmi.NewField("LabelItemType", "[LabelTemplateDetail].LabelItemType", "labelitemtype", grmi.TypeString)
var LabelTemplateDetail_ValueParseToggle = grmi.NewField("ValueParseToggle", "[LabelTemplateDetail].ValueParseToggle", "valueparsetoggle", grmi.TypeBool)
var LabelTemplateDetail_LabelItemValue = grmi.NewField("LabelItemValue", "[LabelTemplateDetail].LabelItemValue", "labelitemvalue", grmi.TypeString)
var LabelTemplateDetail_LabelItemPen = grmi.NewField("LabelItemPen", "[LabelTemplateDetail].LabelItemPen", "labelitempen", grmi.TypeString)
var LabelTemplateDetail_LabelItemFilled = grmi.NewField("LabelItemFilled", "[LabelTemplateDetail].LabelItemFilled", "labelitemfilled", grmi.TypeBool)
var LabelTemplateDetail_LabelItemFont = grmi.NewField("LabelItemFont", "[LabelTemplateDetail].LabelItemFont", "labelitemfont", grmi.TypeString)
var LabelTemplateDetail_PreviewValue = grmi.NewField("PreviewValue", "[LabelTemplateDetail].PreviewValue", "previewvalue", grmi.TypeString)
var LabelTemplateDetail_ShowBarcodeText = grmi.NewField("ShowBarcodeText", "[LabelTemplateDetail].ShowBarcodeText", "showbarcodetext", grmi.TypeBool)
var LabelTemplateDetail_LabelItemPara1 = grmi.NewField("LabelItemPara1", "[LabelTemplateDetail].LabelItemPara1", "labelitempara1", grmi.TypeInt)
var LabelTemplateDetail_LabelItemPara2 = grmi.NewField("LabelItemPara2", "[LabelTemplateDetail].LabelItemPara2", "labelitempara2", grmi.TypeInt)
var LabelTemplateDetail_LabelItemPara3 = grmi.NewField("LabelItemPara3", "[LabelTemplateDetail].LabelItemPara3", "labelitempara3", grmi.TypeInt)
var LabelTemplateDetail_LabelItemPara4 = grmi.NewField("LabelItemPara4", "[LabelTemplateDetail].LabelItemPara4", "labelitempara4", grmi.TypeInt)
var LabelTemplateDetail_LastModify = grmi.NewField("LastModify", "[LabelTemplateDetail].LastModify", "lastmodify", grmi.TypeDateTime)
var LabelTemplateDetail_LastUser = grmi.NewField("LastUser", "[LabelTemplateDetail].LastUser", "lastuser", grmi.TypeString)
var LabelTemplateDetail_CreateTime = grmi.NewField("CreateTime", "[LabelTemplateDetail].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : LabelTemplateDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelTemplateDetail = grmi.NewEntity(
	"LabelTemplateDetail",
	func() interface{} { return &model.LabelTemplateDetail{} },
	map[string]grmi.Field{
		LabelTemplateDetail_PlantNr.Name:          LabelTemplateDetail_PlantNr,
		LabelTemplateDetail_LabelTemplateId.Name:  LabelTemplateDetail_LabelTemplateId,
		LabelTemplateDetail_Pos.Name:              LabelTemplateDetail_Pos,
		LabelTemplateDetail_X.Name:                LabelTemplateDetail_X,
		LabelTemplateDetail_Y.Name:                LabelTemplateDetail_Y,
		LabelTemplateDetail_Height.Name:           LabelTemplateDetail_Height,
		LabelTemplateDetail_Width.Name:            LabelTemplateDetail_Width,
		LabelTemplateDetail_LabelItemType.Name:    LabelTemplateDetail_LabelItemType,
		LabelTemplateDetail_ValueParseToggle.Name: LabelTemplateDetail_ValueParseToggle,
		LabelTemplateDetail_LabelItemValue.Name:   LabelTemplateDetail_LabelItemValue,
		LabelTemplateDetail_PreviewValue.Name:     LabelTemplateDetail_PreviewValue,
		LabelTemplateDetail_LabelItemPen.Name:     LabelTemplateDetail_LabelItemPen,
		LabelTemplateDetail_LabelItemFilled.Name:  LabelTemplateDetail_LabelItemFilled,
		LabelTemplateDetail_LabelItemFont.Name:    LabelTemplateDetail_LabelItemFont,
		LabelTemplateDetail_ShowBarcodeText.Name:  LabelTemplateDetail_ShowBarcodeText,
		LabelTemplateDetail_LabelItemPara1.Name:   LabelTemplateDetail_LabelItemPara1,
		LabelTemplateDetail_LabelItemPara2.Name:   LabelTemplateDetail_LabelItemPara2,
		LabelTemplateDetail_LabelItemPara3.Name:   LabelTemplateDetail_LabelItemPara3,
		LabelTemplateDetail_LabelItemPara4.Name:   LabelTemplateDetail_LabelItemPara4,
		LabelTemplateDetail_LastModify.Name:       LabelTemplateDetail_LastModify,
		LabelTemplateDetail_LastUser.Name:         LabelTemplateDetail_LastUser,
		LabelTemplateDetail_CreateTime.Name:       LabelTemplateDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"X", "Y", "Height", "Width", "LabelItemType", "PreviewValue", "ValueParseToggle", "LabelItemValue", "LabelItemPen", "LabelItemFilled", "LabelItemFont", "ShowBarcodeText", "LabelItemPara1", "LabelItemPara2", "LabelItemPara3", "LabelItemPara4", "LastUser"})
