// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : LabelTemplateHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelTemplateHead_PlantNr = grmi.NewField("PlantNr", "[LabelTemplateHead].PlantNr", "plantnr", grmi.TypeInt)
var LabelTemplateHead_LabelTemplateId = grmi.NewField("LabelTemplateId", "[LabelTemplateHead].LabelTemplateId", "labeltemplateid", grmi.TypeString)
var LabelTemplateHead_PrinterId = grmi.NewField("PrinterId", "LabelTemplateHead.PrinterId", "PrinterId", grmi.TypeString)
var LabelTemplateHead_Descr = grmi.NewField("Descr", "[LabelTemplateHead].Descr", "descr", grmi.TypeString)
var LabelTemplateHead_LabelTemplateFile = grmi.NewField("LabelTemplateFile", "[LabelTemplateHead].LabelTemplateFile", "labeltemplatefile", grmi.TypeString)
var LabelTemplateHead_PictureTemplateToggle = grmi.NewField("PictureTemplateToggle", "[LabelTemplateHead].PictureTemplateToggle", "picturetemplatetoggle", grmi.TypeBool)
var LabelTemplateHead_Height = grmi.NewField("Height", "[LabelTemplateHead].Height", "height", grmi.TypeInt)
var LabelTemplateHead_Width = grmi.NewField("Width", "[LabelTemplateHead].Width", "width", grmi.TypeInt)
var LabelTemplateHead_BackgroundColorToggle = grmi.NewField("BackgroundColorToggle", "[LabelTemplateHead].BackgroundColorToggle", "backgroundcolortoggle", grmi.TypeBool)
var LabelTemplateHead_BackgroundColor = grmi.NewField("BackgroundColor", "[LabelTemplateHead].BackgroundColor", "backgroundcolor", grmi.TypeString)
var LabelTemplateHead_BackgroundPictureToggle = grmi.NewField("BackgroundPictureToggle", "[LabelTemplateHead].BackgroundPictureToggle", "backgroundpicturetoggle", grmi.TypeBool)
var LabelTemplateHead_BackgroundPicture = grmi.NewField("BackgroundPicture", "[LabelTemplateHead].BackgroundPicture", "backgroundpicture", grmi.TypeString)
var LabelTemplateHead_DPI = grmi.NewField("DPI", "[LabelTemplateHead].DPI", "dpi", grmi.TypeInt)
var LabelTemplateHead_CtrlPara1 = grmi.NewField("CtrlPara1", "[LabelTemplateHead].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var LabelTemplateHead_CtrlPara2 = grmi.NewField("CtrlPara2", "[LabelTemplateHead].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var LabelTemplateHead_CtrlStr1 = grmi.NewField("CtrlStr1", "[LabelTemplateHead].CtrlStr1", "ctrlstr1", grmi.TypeString)
var LabelTemplateHead_CtrlStr2 = grmi.NewField("CtrlStr2", "[LabelTemplateHead].CtrlStr2", "ctrlstr2", grmi.TypeString)
var LabelTemplateHead_LastModify = grmi.NewField("LastModify", "[LabelTemplateHead].LastModify", "lastmodify", grmi.TypeDateTime)
var LabelTemplateHead_LastUser = grmi.NewField("LastUser", "[LabelTemplateHead].LastUser", "lastuser", grmi.TypeString)
var LabelTemplateHead_CreateTime = grmi.NewField("CreateTime", "[LabelTemplateHead].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : LabelTemplateHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelTemplateHead = grmi.NewEntity(
	"LabelTemplateHead",
	func() interface{} { return &model.LabelTemplateHead{} },
	map[string]grmi.Field{
		LabelTemplateHead_PlantNr.Name:                 LabelTemplateHead_PlantNr,
		LabelTemplateHead_LabelTemplateId.Name:         LabelTemplateHead_LabelTemplateId,
		LabelTemplateHead_PrinterId.Name:               LabelTemplateHead_PrinterId,
		LabelTemplateHead_Descr.Name:                   LabelTemplateHead_Descr,
		LabelTemplateHead_LabelTemplateFile.Name:       LabelTemplateHead_LabelTemplateFile,
		LabelTemplateHead_PictureTemplateToggle.Name:   LabelTemplateHead_PictureTemplateToggle,
		LabelTemplateHead_Height.Name:                  LabelTemplateHead_Height,
		LabelTemplateHead_Width.Name:                   LabelTemplateHead_Width,
		LabelTemplateHead_BackgroundColorToggle.Name:   LabelTemplateHead_BackgroundColorToggle,
		LabelTemplateHead_BackgroundColor.Name:         LabelTemplateHead_BackgroundColor,
		LabelTemplateHead_BackgroundPictureToggle.Name: LabelTemplateHead_BackgroundPictureToggle,
		LabelTemplateHead_BackgroundPicture.Name:       LabelTemplateHead_BackgroundPicture,
		LabelTemplateHead_DPI.Name:                     LabelTemplateHead_DPI,
		LabelTemplateHead_CtrlPara1.Name:               LabelTemplateHead_CtrlPara1,
		LabelTemplateHead_CtrlPara2.Name:               LabelTemplateHead_CtrlPara2,
		LabelTemplateHead_CtrlStr1.Name:                LabelTemplateHead_CtrlStr1,
		LabelTemplateHead_CtrlStr2.Name:                LabelTemplateHead_CtrlStr2,
		LabelTemplateHead_LastModify.Name:              LabelTemplateHead_LastModify,
		LabelTemplateHead_LastUser.Name:                LabelTemplateHead_LastUser,
		LabelTemplateHead_CreateTime.Name:              LabelTemplateHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "PrinterId", "DPI", "LabelTemplateFile", "PictureTemplateToggle", "Height", "Width", "BackgroundColorToggle", "BackgroundColor", "BackgroundPictureToggle", "BackgroundPicture", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "LastUser"})
