// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCMonitorComRule的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
var OPCMonitorComRule_PlantNr = grmi.NewField("PlantNr", "[OPCMonitorComRule].PlantNr", "plantnr", grmi.TypeInt)
var OPCMonitorComRule_OperationId = grmi.NewField("OperationId", "[OPCMonitorComRule].OperationId", "operationid", grmi.TypeInt)
var OPCMonitorComRule_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[OPCMonitorComRule].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var OPCMonitorComRule_RuleId = grmi.NewField("RuleId", "[OPCMonitorComRule].RuleId", "ruleid", grmi.TypeInt)
var OPCMonitorComRule_PO = grmi.NewField("PO", "[OPCMonitorComRule].PO", "po", grmi.TypeString)
var OPCMonitorComRule_StepNo = grmi.NewField("StepNo", "[OPCMonitorComRule].StepNo", "stepno", grmi.TypeInt)
var OPCMonitorComRule_StepDesc = grmi.NewField("StepDesc", "[OPCMonitorComRule].StepDesc", "stepdesc", grmi.TypeString)
var OPCMonitorComRule_ProjectId = grmi.NewField("ProjectId", "[OPCMonitorComRule].ProjectId", "projectid", grmi.TypeString)
var OPCMonitorComRule_ActionType = grmi.NewField("ActionType", "[OPCMonitorComRule].ActionType", "actiontype", grmi.TypeString)
var OPCMonitorComRule_DBlockAddress = grmi.NewField("DBlockAddress", "[OPCMonitorComRule].DBlockAddress", "dblockaddress", grmi.TypeString)
var OPCMonitorComRule_DBlockValueType = grmi.NewField("DBlockValueType", "[OPCMonitorComRule].DBlockValueType", "dblockvaluetype", grmi.TypeString)
var OPCMonitorComRule_Formula = grmi.NewField("Formula", "[OPCMonitorComRule].Formula", "formula", grmi.TypeString)
var OPCMonitorComRule_OperatorSimbol = grmi.NewField("OperatorSimbol", "[OPCMonitorComRule].OperatorSimbol", "operatorsimbol", grmi.TypeString)
var OPCMonitorComRule_DBlockValue = grmi.NewField("DBlockValue", "[OPCMonitorComRule].DBlockValue", "dblockvalue", grmi.TypeString)
var OPCMonitorComRule_OKGotoRuleId = grmi.NewField("OKGotoRuleId", "[OPCMonitorComRule].OKGotoRuleId", "okgotoruleid", grmi.TypeInt)
var OPCMonitorComRule_OKDelay = grmi.NewField("OKDelay", "[OPCMonitorComRule].OKDelay", "okdelay", grmi.TypeInt)
var OPCMonitorComRule_NOKGotoRuleId = grmi.NewField("NOKGotoRuleId", "[OPCMonitorComRule].NOKGotoRuleId", "nokgotoruleid", grmi.TypeInt)
var OPCMonitorComRule_NOKDelay = grmi.NewField("NOKDelay", "[OPCMonitorComRule].NOKDelay", "nokdelay", grmi.TypeInt)
var OPCMonitorComRule_DBlockDesc = grmi.NewField("DBlockDesc", "[OPCMonitorComRule].DBlockDesc", "dblockdesc", grmi.TypeString)
var OPCMonitorComRule_LastModify = grmi.NewField("LastModify", "[OPCMonitorComRule].LastModify", "lastmodify", grmi.TypeDateTime)
var OPCMonitorComRule_LastUser = grmi.NewField("LastUser", "[OPCMonitorComRule].LastUser", "lastuser", grmi.TypeString)
var OPCMonitorComRule_CreateTime = grmi.NewField("CreateTime", "[OPCMonitorComRule].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCMonitorComRule的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
var OPCMonitorComRule = grmi.NewEntity(
	"OPCMonitorComRule",
	func() interface{} { return &model.OPCMonitorComRule{} },
	map[string]grmi.Field{
		OPCMonitorComRule_PlantNr.Name:         OPCMonitorComRule_PlantNr,
		OPCMonitorComRule_OperationId.Name:     OPCMonitorComRule_OperationId,
		OPCMonitorComRule_WorkPlaceNr.Name:     OPCMonitorComRule_WorkPlaceNr,
		OPCMonitorComRule_RuleId.Name:          OPCMonitorComRule_RuleId,
		OPCMonitorComRule_PO.Name:              OPCMonitorComRule_PO,
		OPCMonitorComRule_StepNo.Name:          OPCMonitorComRule_StepNo,
		OPCMonitorComRule_StepDesc.Name:        OPCMonitorComRule_StepDesc,
		OPCMonitorComRule_ProjectId.Name:       OPCMonitorComRule_ProjectId,
		OPCMonitorComRule_ActionType.Name:      OPCMonitorComRule_ActionType,
		OPCMonitorComRule_DBlockAddress.Name:   OPCMonitorComRule_DBlockAddress,
		OPCMonitorComRule_DBlockValueType.Name: OPCMonitorComRule_DBlockValueType,
		OPCMonitorComRule_Formula.Name:         OPCMonitorComRule_Formula,
		OPCMonitorComRule_OperatorSimbol.Name:  OPCMonitorComRule_OperatorSimbol,
		OPCMonitorComRule_DBlockValue.Name:     OPCMonitorComRule_DBlockValue,
		OPCMonitorComRule_OKGotoRuleId.Name:    OPCMonitorComRule_OKGotoRuleId,
		OPCMonitorComRule_OKDelay.Name:         OPCMonitorComRule_OKDelay,
		OPCMonitorComRule_NOKGotoRuleId.Name:   OPCMonitorComRule_NOKGotoRuleId,
		OPCMonitorComRule_NOKDelay.Name:        OPCMonitorComRule_NOKDelay,
		OPCMonitorComRule_DBlockDesc.Name: OPCMonitorComRule_DBlockDesc,
		OPCMonitorComRule_LastModify.Name:      OPCMonitorComRule_LastModify,
		OPCMonitorComRule_LastUser.Name:        OPCMonitorComRule_LastUser,
		OPCMonitorComRule_CreateTime.Name:      OPCMonitorComRule_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "ActionType", "DBlockAddress", "DBlockValueType", "Formula", "OperatorSimbol", "DBlockValue", "OKGotoRuleId", "OKDelay", "NOKGotoRuleId", "NOKDelay", "DBlockDesc", "LastUser"})
