// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : RPDashBoardHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
var RPDashBoardHead_PlantNr = grmi.NewField("PlantNr", "[RP_DashBoardHead].PlantNr", "plantnr", grmi.TypeInt)
var RPDashBoardHead_DashboardId = grmi.NewField("DashboardId", "[RP_DashBoardHead].DashboardId", "dashboardid", grmi.TypeString)
var RPDashBoardHead_Desc = grmi.NewField("Desc", "[RP_DashBoardHead].Desc", "desc", grmi.TypeString)
var RPDashBoardHead_Title = grmi.NewField("Title", "[RP_DashBoardHead].Title", "title", grmi.TypeString)
var RPDashBoardHead_DPCtrlPara1 = grmi.NewField("DPCtrlPara1", "[RP_DashBoardHead].DPCtrlPara1", "dpctrlpara1", grmi.TypeInt)
var RPDashBoardHead_DPCtrlPara2 = grmi.NewField("DPCtrlPara2", "[RP_DashBoardHead].DPCtrlPara2", "dpctrlpara2", grmi.TypeInt)
var RPDashBoardHead_DPCtrlPara3 = grmi.NewField("DPCtrlPara3", "[RP_DashBoardHead].DPCtrlPara3", "dpctrlpara3", grmi.TypeString)
var RPDashBoardHead_DPCtrlPara4 = grmi.NewField("DPCtrlPara4", "[RP_DashBoardHead].DPCtrlPara4", "dpctrlpara4", grmi.TypeString)
var RPDashBoardHead_DPCtrlPara5 = grmi.NewField("DPCtrlPara5", "[RP_DashBoardHead].DPCtrlPara5", "dpctrlpara5", grmi.TypeFloat64)
var RPDashBoardHead_DPCtrlPara6 = grmi.NewField("DPCtrlPara6", "[RP_DashBoardHead].DPCtrlPara6", "dpctrlpara6", grmi.TypeFloat64)
var RPDashBoardHead_LastModify = grmi.NewField("LastModify", "[RP_DashBoardHead].LastModify", "lastmodify", grmi.TypeDateTime)
var RPDashBoardHead_LastUser = grmi.NewField("LastUser", "[RP_DashBoardHead].LastUser", "lastuser", grmi.TypeString)
var RPDashBoardHead_CreateTime = grmi.NewField("CreateTime", "[RP_DashBoardHead].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : RPDashBoardHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
var RPDashBoardHead = grmi.NewEntity(
	"RP_DashBoardHead",
	func() interface{} { return &model.RPDashBoardHead{} },
	map[string]grmi.Field{
		RPDashBoardHead_PlantNr.Name:     RPDashBoardHead_PlantNr,
		RPDashBoardHead_DashboardId.Name: RPDashBoardHead_DashboardId,
		RPDashBoardHead_Desc.Name:        RPDashBoardHead_Desc,
		RPDashBoardHead_Title.Name:       RPDashBoardHead_Title,
		RPDashBoardHead_DPCtrlPara1.Name: RPDashBoardHead_DPCtrlPara1,
		RPDashBoardHead_DPCtrlPara2.Name: RPDashBoardHead_DPCtrlPara2,
		RPDashBoardHead_DPCtrlPara3.Name: RPDashBoardHead_DPCtrlPara3,
		RPDashBoardHead_DPCtrlPara4.Name: RPDashBoardHead_DPCtrlPara4,
		RPDashBoardHead_DPCtrlPara5.Name: RPDashBoardHead_DPCtrlPara5,
		RPDashBoardHead_DPCtrlPara6.Name: RPDashBoardHead_DPCtrlPara6,
		RPDashBoardHead_LastModify.Name:  RPDashBoardHead_LastModify,
		RPDashBoardHead_LastUser.Name:    RPDashBoardHead_LastUser,
		RPDashBoardHead_CreateTime.Name:  RPDashBoardHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Desc", "Title", "DPCtrlPara1", "DPCtrlPara2", "DPCtrlPara3", "DPCtrlPara4", "DPCtrlPara5", "DPCtrlPara6", "LastUser"})
