// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ReceiptDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var ReceiptDetail_PlantNr = grmi.NewField("PlantNr", "[ReceiptDetail].PlantNr", "plantnr", grmi.TypeInt)
var ReceiptDetail_ReceiptHeadId = grmi.NewField("ReceiptHeadId", "[ReceiptDetail].ReceiptHeadId", "receiptheadid", grmi.TypeString)
var ReceiptDetail_Pos = grmi.NewField("Pos", "[ReceiptDetail].Pos", "pos", grmi.TypeInt)
var ReceiptDetail_VariableName = grmi.NewField("VariableName", "[ReceiptDetail].VariableName", "variablename", grmi.TypeString)
var ReceiptDetail_VariableType = grmi.NewField("VariableType", "[ReceiptDetail].VariableType", "variabletype", grmi.TypeString)
var ReceiptDetail_VariableValue = grmi.NewField("VariableValue", "[ReceiptDetail].VariableValue", "variablevalue", grmi.TypeString)
var ReceiptDetail_VariablePicture = grmi.NewField("VariablePicture", "[ReceiptDetail].VariablePicture", "variablepicture", grmi.TypeString)
var ReceiptDetail_VariablePosition = grmi.NewField("VariablePosition", "[ReceiptDetail].VariablePosition", "variableposition", grmi.TypeString)
var ReceiptDetail_JsonValue = grmi.NewField("JsonValue", "[ReceiptDetail].JsonValue", "jsonvalue", grmi.TypeString)
var ReceiptDetail_CtrlPara1 = grmi.NewField("CtrlPara1", "[ReceiptDetail].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ReceiptDetail_CtrlPara2 = grmi.NewField("CtrlPara2", "[ReceiptDetail].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ReceiptDetail_CtrlStr1 = grmi.NewField("CtrlStr1", "[ReceiptDetail].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ReceiptDetail_CtrlStr2 = grmi.NewField("CtrlStr2", "[ReceiptDetail].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ReceiptDetail_CtrlTime1 = grmi.NewField("CtrlTime1", "[ReceiptDetail].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ReceiptDetail_CtrlTime2 = grmi.NewField("CtrlTime2", "[ReceiptDetail].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ReceiptDetail_LastModify = grmi.NewField("LastModify", "[ReceiptDetail].LastModify", "lastmodify", grmi.TypeDateTime)
var ReceiptDetail_LastUser = grmi.NewField("LastUser", "[ReceiptDetail].LastUser", "lastuser", grmi.TypeString)
var ReceiptDetail_CreateTime = grmi.NewField("CreateTime", "[ReceiptDetail].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ReceiptDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var ReceiptDetail = grmi.NewEntity(
	"ReceiptDetail",
	func() interface{} { return &model.ReceiptDetail{} },
	map[string]grmi.Field{
		ReceiptDetail_PlantNr.Name:          ReceiptDetail_PlantNr,
		ReceiptDetail_ReceiptHeadId.Name:    ReceiptDetail_ReceiptHeadId,
		ReceiptDetail_Pos.Name:              ReceiptDetail_Pos,
		ReceiptDetail_VariableName.Name:     ReceiptDetail_VariableName,
		ReceiptDetail_VariableType.Name:     ReceiptDetail_VariableType,
		ReceiptDetail_VariableValue.Name:    ReceiptDetail_VariableValue,
		ReceiptDetail_VariablePicture.Name:  ReceiptDetail_VariablePicture,
		ReceiptDetail_VariablePosition.Name: ReceiptDetail_VariablePosition,
		ReceiptDetail_JsonValue.Name:        ReceiptDetail_JsonValue,
		ReceiptDetail_CtrlPara1.Name:        ReceiptDetail_CtrlPara1,
		ReceiptDetail_CtrlPara2.Name:        ReceiptDetail_CtrlPara2,
		ReceiptDetail_CtrlStr1.Name:         ReceiptDetail_CtrlStr1,
		ReceiptDetail_CtrlStr2.Name:         ReceiptDetail_CtrlStr2,
		ReceiptDetail_CtrlTime1.Name:        ReceiptDetail_CtrlTime1,
		ReceiptDetail_CtrlTime2.Name:        ReceiptDetail_CtrlTime2,
		ReceiptDetail_LastModify.Name:       ReceiptDetail_LastModify,
		ReceiptDetail_LastUser.Name:         ReceiptDetail_LastUser,
		ReceiptDetail_CreateTime.Name:       ReceiptDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"VariableName", "VariableType", "VariableValue", "VariablePicture", "VariablePosition", "JsonValue", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
