// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ReceiptHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var ReceiptHead_PlantNr = grmi.NewField("PlantNr", "[ReceiptHead].PlantNr", "plantnr", grmi.TypeInt)
var ReceiptHead_ReceiptHeadId = grmi.NewField("ReceiptHeadId", "[ReceiptHead].ReceiptHeadId", "receiptheadid", grmi.TypeString)
var ReceiptHead_PrinterId = grmi.NewField("PrinterId", "[ReceiptHead].PrinterId", "printerid", grmi.TypeString)
var ReceiptHead_PrintFileType = grmi.NewField("PrintFileType", "[ReceiptHead].PrintFileType", "printfiletype", grmi.TypeString)
var ReceiptHead_PrintObjId = grmi.NewField("PrintObjId", "[ReceiptHead].PrintObjId", "printobjid", grmi.TypeString)
var ReceiptHead_PrintObjType = grmi.NewField("PrintObjType", "[ReceiptHead].PrintObjType", "printobjtype", grmi.TypeString)
var ReceiptHead_Status = grmi.NewField("Status", "[ReceiptHead].Status", "status", grmi.TypeInt)
var ReceiptHead_TemplateFile = grmi.NewField("TemplateFile", "[ReceiptHead].TemplateFile", "templatefile", grmi.TypeString)
var ReceiptHead_PrintCopies = grmi.NewField("PrintCopies", "[ReceiptHead].PrintCopies", "printcopies", grmi.TypeInt)
var ReceiptHead_PrintedTime = grmi.NewField("PrintedTime", "[ReceiptHead].PrintedTime", "printedtime", grmi.TypeDateTime)
var ReceiptHead_CtrlPara1 = grmi.NewField("CtrlPara1", "[ReceiptHead].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ReceiptHead_CtrlPara2 = grmi.NewField("CtrlPara2", "[ReceiptHead].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ReceiptHead_CtrlStr1 = grmi.NewField("CtrlStr1", "[ReceiptHead].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ReceiptHead_CtrlStr2 = grmi.NewField("CtrlStr2", "[ReceiptHead].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ReceiptHead_CtrlTime1 = grmi.NewField("CtrlTime1", "[ReceiptHead].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ReceiptHead_CtrlTime2 = grmi.NewField("CtrlTime2", "[ReceiptHead].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ReceiptHead_LastModify = grmi.NewField("LastModify", "[ReceiptHead].LastModify", "lastmodify", grmi.TypeDateTime)
var ReceiptHead_LastUser = grmi.NewField("LastUser", "[ReceiptHead].LastUser", "lastuser", grmi.TypeString)
var ReceiptHead_CreateTime = grmi.NewField("CreateTime", "[ReceiptHead].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ReceiptHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var ReceiptHead = grmi.NewEntity(
	"ReceiptHead",
	func() interface{} { return &model.ReceiptHead{} },
	map[string]grmi.Field{
		ReceiptHead_PlantNr.Name:       ReceiptHead_PlantNr,
		ReceiptHead_ReceiptHeadId.Name: ReceiptHead_ReceiptHeadId,
		ReceiptHead_PrinterId.Name:     ReceiptHead_PrinterId,
		ReceiptHead_PrintFileType.Name: ReceiptHead_PrintFileType,
		ReceiptHead_PrintObjId.Name:    ReceiptHead_PrintObjId,
		ReceiptHead_PrintObjType.Name:  ReceiptHead_PrintObjType,
		ReceiptHead_Status.Name:        ReceiptHead_Status,
		ReceiptHead_TemplateFile.Name:  ReceiptHead_TemplateFile,
		ReceiptHead_PrintCopies.Name:   ReceiptHead_PrintCopies,
		ReceiptHead_PrintedTime.Name:   ReceiptHead_PrintedTime,
		ReceiptHead_CtrlPara1.Name:     ReceiptHead_CtrlPara1,
		ReceiptHead_CtrlPara2.Name:     ReceiptHead_CtrlPara2,
		ReceiptHead_CtrlStr1.Name:      ReceiptHead_CtrlStr1,
		ReceiptHead_CtrlStr2.Name:      ReceiptHead_CtrlStr2,
		ReceiptHead_CtrlTime1.Name:     ReceiptHead_CtrlTime1,
		ReceiptHead_CtrlTime2.Name:     ReceiptHead_CtrlTime2,
		ReceiptHead_LastModify.Name:    ReceiptHead_LastModify,
		ReceiptHead_LastUser.Name:      ReceiptHead_LastUser,
		ReceiptHead_CreateTime.Name:    ReceiptHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PrinterId", "PrintFileType", "PrintObjId", "PrintObjType", "Status", "TemplateFile", "PrintCopies", "PrintedTime", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
