// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineProcessLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
var WorkLineProcessLst_PlantNr = grmi.NewField("PlantNr", "[WorkLineProcessLst].PlantNr", "plantnr", grmi.TypeInt)
var WorkLineProcessLst_WorkLineId = grmi.NewField("WorkLineId", "[WorkLineProcessLst].WorkLineId", "worklineid", grmi.TypeString)
var WorkLineProcessLst_PO = grmi.NewField("PO", "[WorkLineProcessLst].PO", "po", grmi.TypeString)
var WorkLineProcessLst_PODescr = grmi.NewField("PODescr", "[WorkLineProcessLst].PODescr", "podescr", grmi.TypeString)
var WorkLineProcessLst_Pos = grmi.NewField("Pos", "[WorkLineProcessLst].Pos", "pos", grmi.TypeInt)
var WorkLineProcessLst_LastModify = grmi.NewField("LastModify", "[WorkLineProcessLst].LastModify", "lastmodify", grmi.TypeDateTime)
var WorkLineProcessLst_LastUser = grmi.NewField("LastUser", "[WorkLineProcessLst].LastUser", "lastuser", grmi.TypeString)
var WorkLineProcessLst_CreateTime = grmi.NewField("CreateTime", "[WorkLineProcessLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineProcessLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
var WorkLineProcessLst = grmi.NewEntity(
	"WorkLineProcessLst",
	func() interface{} { return &model.WorkLineProcessLst{} },
	map[string]grmi.Field{
		WorkLineProcessLst_PlantNr.Name:    WorkLineProcessLst_PlantNr,
		WorkLineProcessLst_WorkLineId.Name: WorkLineProcessLst_WorkLineId,
		WorkLineProcessLst_PO.Name:         WorkLineProcessLst_PO,
		WorkLineProcessLst_PODescr.Name:    WorkLineProcessLst_PODescr,
		WorkLineProcessLst_Pos.Name:        WorkLineProcessLst_Pos,
		WorkLineProcessLst_LastModify.Name: WorkLineProcessLst_LastModify,
		WorkLineProcessLst_LastUser.Name:   WorkLineProcessLst_LastUser,
		WorkLineProcessLst_CreateTime.Name: WorkLineProcessLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PODescr", "Pos", "LastUser"})
