// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkOrderIdentifyRule的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-30 14:27:09
 *
 ******************************************************************************/
var WorkOrderIdentifyRule_PlantNr = grmi.NewField("PlantNr", "[WorkOrderIdentifyRule].PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderIdentifyRule_CollerationBasis = grmi.NewField("CollerationBasis", "[WorkOrderIdentifyRule].CollerationBasis", "collerationbasis", grmi.TypeString)
var WorkOrderIdentifyRule_CollerationOperationId = grmi.NewField("CollerationOperationId", "[WorkOrderIdentifyRule].CollerationOperationId", "collerationoperationid", grmi.TypeInt)
var WorkOrderIdentifyRule_PO = grmi.NewField("PO", "[WorkOrderIdentifyRule].PO", "po", grmi.TypeString)
var WorkOrderIdentifyRule_OpenPlan = grmi.NewField("OpenPlan", "[WorkOrderIdentifyRule].OpenPlan", "openplan", grmi.TypeInt)
var WorkOrderIdentifyRule_IdentifyPlan = grmi.NewField("IdentifyPlan", "[WorkOrderIdentifyRule].IdentifyPlan", "identifyplan", grmi.TypeInt)
var WorkOrderIdentifyRule_CombinePlan = grmi.NewField("CombinePlan", "[WorkOrderIdentifyRule].CombinePlan", "combineplan", grmi.TypeInt)
var WorkOrderIdentifyRule_CollerationStepDesc = grmi.NewField("CollerationStepDesc", "[WorkOrderIdentifyRule].CollerationStepDesc", "collerationstepdesc", grmi.TypeString)
var WorkOrderIdentifyRule_LastModify = grmi.NewField("LastModify", "[WorkOrderIdentifyRule].LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderIdentifyRule_LastUser = grmi.NewField("LastUser", "[WorkOrderIdentifyRule].LastUser", "lastuser", grmi.TypeString)
var WorkOrderIdentifyRule_CreateTime = grmi.NewField("CreateTime", "[WorkOrderIdentifyRule].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderIdentifyRule的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-30 14:27:09
 *
 ******************************************************************************/
var WorkOrderIdentifyRule = grmi.NewEntity(
	"WorkOrderIdentifyRule",
	func() interface{} { return &model.WorkOrderIdentifyRule{} },
	map[string]grmi.Field{
		WorkOrderIdentifyRule_PlantNr.Name:                WorkOrderIdentifyRule_PlantNr,
		WorkOrderIdentifyRule_CollerationBasis.Name:       WorkOrderIdentifyRule_CollerationBasis,
		WorkOrderIdentifyRule_CollerationOperationId.Name: WorkOrderIdentifyRule_CollerationOperationId,
		WorkOrderIdentifyRule_PO.Name:                     WorkOrderIdentifyRule_PO,
		WorkOrderIdentifyRule_OpenPlan.Name:               WorkOrderIdentifyRule_OpenPlan,
		WorkOrderIdentifyRule_IdentifyPlan.Name:           WorkOrderIdentifyRule_IdentifyPlan,
		WorkOrderIdentifyRule_CombinePlan.Name:            WorkOrderIdentifyRule_CombinePlan,
		WorkOrderIdentifyRule_CollerationStepDesc.Name:    WorkOrderIdentifyRule_CollerationStepDesc,
		WorkOrderIdentifyRule_LastModify.Name:             WorkOrderIdentifyRule_LastModify,
		WorkOrderIdentifyRule_LastUser.Name:               WorkOrderIdentifyRule_LastUser,
		WorkOrderIdentifyRule_CreateTime.Name:             WorkOrderIdentifyRule_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "OpenPlan", "IdentifyPlan", "CombinePlan", "CollerationStepDesc", "LastUser"})
