// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : PackOrderPlcError的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-10 14:47:04
 *
 ******************************************************************************/
var PackOrderPlcError_PlantNr = grmi.NewField("PlantNr", "[JIT_PackOrderPlcError].PlantNr", "plantnr", grmi.TypeInt)
var PackOrderPlcError_PackOrderId = grmi.NewField("PackOrderId", "[JIT_PackOrderPlcError].PackOrderId", "packorderid", grmi.TypeString)
var PackOrderPlcError_Status = grmi.NewField("Status", "[JIT_PackOrderPlcError].Status", "status", grmi.TypeInt)
var PackOrderPlcError_Step = grmi.NewField("Step", "[JIT_PackOrderPlcError].Step", "step", grmi.TypeInt)
var PackOrderPlcError_ErrorInfo = grmi.NewField("ErrorInfo", "[JIT_PackOrderPlcError].ErrorInfo", "errorinfo", grmi.TypeString)
var PackOrderPlcError_ErrorType  = grmi.NewField("ErrorType", "[JIT_PackOrderPlcError].ErrorType", "errortype", grmi.TypeString)
var PackOrderPlcError_Location = grmi.NewField("Location", "[JIT_PackOrderPlcError].Location", "location", grmi.TypeString)
var PackOrderPlcError_SeatData = grmi.NewField("SeatData", "[JIT_PackOrderPlcError].SeatData", "seatdata", grmi.TypeString)
var PackOrderPlcError_Source = grmi.NewField("Source", "[JIT_PackOrderPlcError].Source", "source", grmi.TypeString)
var PackOrderPlcError_StrCtrl1 = grmi.NewField("StrCtrl1", "[JIT_PackOrderPlcError].StrCtrl1", "strctrl1", grmi.TypeString)
var PackOrderPlcError_StrCtrl2 = grmi.NewField("StrCtrl2", "[JIT_PackOrderPlcError].StrCtrl2", "strctrl2", grmi.TypeString)
var PackOrderPlcError_StrCtrl3 = grmi.NewField("StrCtrl3", "[JIT_PackOrderPlcError].StrCtrl3", "strctrl3", grmi.TypeString)
var PackOrderPlcError_IntCtrl1 = grmi.NewField("IntCtrl1", "[JIT_PackOrderPlcError].IntCtrl1", "intctrl1", grmi.TypeInt)
var PackOrderPlcError_IntCtrl2 = grmi.NewField("IntCtrl2", "[JIT_PackOrderPlcError].IntCtrl2", "intctrl2", grmi.TypeInt)
var PackOrderPlcError_IntCtrl3 = grmi.NewField("IntCtrl3", "[JIT_PackOrderPlcError].IntCtrl3", "intctrl3", grmi.TypeInt)
var PackOrderPlcError_LastModify = grmi.NewField("LastModify", "[JIT_PackOrderPlcError].LastModify", "lastmodify", grmi.TypeDateTime)
var PackOrderPlcError_LastUser = grmi.NewField("LastUser", "[JIT_PackOrderPlcError].LastUser", "lastuser", grmi.TypeString)
var PackOrderPlcError_CreateTime = grmi.NewField("CreateTime", "[JIT_PackOrderPlcError].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrderPlcError的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-10 14:47:04
 *
 ******************************************************************************/
var PackOrderPlcError = grmi.NewEntity(
	"JIT_PackOrderPlcError",
	func() interface{} { return &model.PackOrderPlcError{} },
	map[string]grmi.Field{
		PackOrderPlcError_PlantNr.Name:     PackOrderPlcError_PlantNr,
		PackOrderPlcError_PackOrderId.Name: PackOrderPlcError_PackOrderId,
		PackOrderPlcError_Status.Name:      PackOrderPlcError_Status,
		PackOrderPlcError_Step.Name:        PackOrderPlcError_Step,
		PackOrderPlcError_ErrorInfo.Name:   PackOrderPlcError_ErrorInfo,
		PackOrderPlcError_ErrorType.Name: PackOrderPlcError_ErrorType,
		PackOrderPlcError_Location.Name:    PackOrderPlcError_Location,
		PackOrderPlcError_SeatData.Name:    PackOrderPlcError_SeatData,
		PackOrderPlcError_Source.Name: PackOrderPlcError_Source,
		PackOrderPlcError_StrCtrl1.Name:  PackOrderPlcError_StrCtrl1,
		PackOrderPlcError_StrCtrl2.Name:  PackOrderPlcError_StrCtrl2,
		PackOrderPlcError_StrCtrl3.Name:  PackOrderPlcError_StrCtrl3,
		PackOrderPlcError_IntCtrl1.Name:  PackOrderPlcError_IntCtrl1,
		PackOrderPlcError_IntCtrl2.Name:  PackOrderPlcError_IntCtrl2,
		PackOrderPlcError_IntCtrl3.Name:  PackOrderPlcError_IntCtrl3,
		PackOrderPlcError_LastModify.Name:  PackOrderPlcError_LastModify,
		PackOrderPlcError_LastUser.Name:    PackOrderPlcError_LastUser,
		PackOrderPlcError_CreateTime.Name:  PackOrderPlcError_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "Step", "ErrorInfo", "ErrorType", "Location", "SeatData", "Source", "StrCtrl1", "StrCtrl2", "StrCtrl3", "IntCtrl1", "IntCtrl2", "IntCtrl3", "LastUser"})
