// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipOrderDataLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderDataLst_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipOrderDataLst].PlantNr", "plantnr", grmi.TypeInt)
var ShipOrderDataLst_ShipOrderId = grmi.NewField("ShipOrderId", "[JIT_ShipOrderDataLst].ShipOrderId", "shiporderid", grmi.TypeString)
var ShipOrderDataLst_PackOrderId = grmi.NewField("PackOrderId", "[JIT_ShipOrderDataLst].PackOrderId", "packorderid", grmi.TypeString)
var ShipOrderDataLst_ItemPos = grmi.NewField("ItemPos", "[JIT_ShipOrderDataLst].ItemPos", "itempos", grmi.TypeInt)
var ShipOrderDataLst_PackTypeId = grmi.NewField("PackTypeId", "[JIT_ShipOrderDataLst].PackTypeId", "packtypeid", grmi.TypeString)
var ShipOrderDataLst_Status = grmi.NewField("Status", "[JIT_ShipOrderDataLst].Status", "status", grmi.TypeInt)
var ShipOrderDataLst_Status1 = grmi.NewField("Status1", "[JIT_ShipOrderDataLst].Status1", "status1", grmi.TypeInt)
var ShipOrderDataLst_Status2 = grmi.NewField("Status2", "[JIT_ShipOrderDataLst].Status2", "status2", grmi.TypeInt)
var ShipOrderDataLst_PlanQty = grmi.NewField("PlanQty", "[JIT_ShipOrderDataLst].PlanQty", "planqty", grmi.TypeInt)
var ShipOrderDataLst_ActQty = grmi.NewField("ActQty", "[JIT_ShipOrderDataLst].ActQty", "actqty", grmi.TypeInt)
var ShipOrderDataLst_CtrlPara1 = grmi.NewField("CtrlPara1", "[JIT_ShipOrderDataLst].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ShipOrderDataLst_CtrlPara2 = grmi.NewField("CtrlPara2", "[JIT_ShipOrderDataLst].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ShipOrderDataLst_CtrlStr1 = grmi.NewField("CtrlStr1", "[JIT_ShipOrderDataLst].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ShipOrderDataLst_CtrlStr2 = grmi.NewField("CtrlStr2", "[JIT_ShipOrderDataLst].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ShipOrderDataLst_CtrlTime1 = grmi.NewField("CtrlTime1", "[JIT_ShipOrderDataLst].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ShipOrderDataLst_CtrlTime2 = grmi.NewField("CtrlTime2", "[JIT_ShipOrderDataLst].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ShipOrderDataLst_LastModify = grmi.NewField("LastModify", "[JIT_ShipOrderDataLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipOrderDataLst_LastUser = grmi.NewField("LastUser", "[JIT_ShipOrderDataLst].LastUser", "lastuser", grmi.TypeString)
var ShipOrderDataLst_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipOrderDataLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipOrderDataLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderDataLst = grmi.NewEntity(
	"JIT_ShipOrderDataLst",
	func() interface{} { return &model.ShipOrderDataLst{} },
	map[string]grmi.Field{
		ShipOrderDataLst_PlantNr.Name:     ShipOrderDataLst_PlantNr,
		ShipOrderDataLst_ShipOrderId.Name: ShipOrderDataLst_ShipOrderId,
		ShipOrderDataLst_PackOrderId.Name: ShipOrderDataLst_PackOrderId,
		ShipOrderDataLst_ItemPos.Name:     ShipOrderDataLst_ItemPos,
		ShipOrderDataLst_PackTypeId.Name:  ShipOrderDataLst_PackTypeId,
		ShipOrderDataLst_Status.Name:      ShipOrderDataLst_Status,
		ShipOrderDataLst_Status1.Name:     ShipOrderDataLst_Status1,
		ShipOrderDataLst_Status2.Name:     ShipOrderDataLst_Status2,
		ShipOrderDataLst_PlanQty.Name:     ShipOrderDataLst_PlanQty,
		ShipOrderDataLst_ActQty.Name:      ShipOrderDataLst_ActQty,
		ShipOrderDataLst_CtrlPara1.Name:   ShipOrderDataLst_CtrlPara1,
		ShipOrderDataLst_CtrlPara2.Name:   ShipOrderDataLst_CtrlPara2,
		ShipOrderDataLst_CtrlStr1.Name:    ShipOrderDataLst_CtrlStr1,
		ShipOrderDataLst_CtrlStr2.Name:    ShipOrderDataLst_CtrlStr2,
		ShipOrderDataLst_CtrlTime1.Name:   ShipOrderDataLst_CtrlTime1,
		ShipOrderDataLst_CtrlTime2.Name:   ShipOrderDataLst_CtrlTime2,
		ShipOrderDataLst_LastModify.Name:  ShipOrderDataLst_LastModify,
		ShipOrderDataLst_LastUser.Name:    ShipOrderDataLst_LastUser,
		ShipOrderDataLst_CreateTime.Name:  ShipOrderDataLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ItemPos", "PackTypeId", "Status", "Status1", "Status2", "PlanQty", "ActQty", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
