// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderStatus_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipOrderStatus].PlantNr", "plantnr", grmi.TypeInt)
var ShipOrderStatus_ShipOrderId = grmi.NewField("ShipOrderId", "[JIT_ShipOrderStatus].ShipOrderId", "shiporderid", grmi.TypeString)
var ShipOrderStatus_Status = grmi.NewField("Status", "[JIT_ShipOrderStatus].Status", "status", grmi.TypeInt)
var ShipOrderStatus_Status1 = grmi.NewField("Status1", "[JIT_ShipOrderStatus].Status1", "status1", grmi.TypeInt)
var ShipOrderStatus_Status2 = grmi.NewField("Status2", "[JIT_ShipOrderStatus].Status2", "status2", grmi.TypeInt)
var ShipOrderStatus_BackFlushedToggle = grmi.NewField("BackFlushedToggle", "[JIT_ShipOrderStatus].BackFlushedToggle", "backflushedtoggle", grmi.TypeBool)
var ShipOrderStatus_LastModify = grmi.NewField("LastModify", "[JIT_ShipOrderStatus].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipOrderStatus_LastUser = grmi.NewField("LastUser", "[JIT_ShipOrderStatus].LastUser", "lastuser", grmi.TypeString)
var ShipOrderStatus_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipOrderStatus].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderStatus = grmi.NewEntity(
	"JIT_ShipOrderStatus",
	func() interface{} { return &model.ShipOrderStatus{} },
	map[string]grmi.Field{
		ShipOrderStatus_PlantNr.Name:           ShipOrderStatus_PlantNr,
		ShipOrderStatus_ShipOrderId.Name:       ShipOrderStatus_ShipOrderId,
		ShipOrderStatus_Status.Name:            ShipOrderStatus_Status,
		ShipOrderStatus_Status1.Name:           ShipOrderStatus_Status1,
		ShipOrderStatus_Status2.Name:           ShipOrderStatus_Status2,
		ShipOrderStatus_BackFlushedToggle.Name: ShipOrderStatus_BackFlushedToggle,
		ShipOrderStatus_LastModify.Name:        ShipOrderStatus_LastModify,
		ShipOrderStatus_LastUser.Name:          ShipOrderStatus_LastUser,
		ShipOrderStatus_CreateTime.Name:        ShipOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "Status1", "Status2", "BackFlushedToggle", "LastUser"})
