// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderDisassemble的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-28 09:55:48
 *
 ******************************************************************************/
var SerialOrderDisassemble_PlantNr = grmi.NewField("PlantNr", "[OM_SerialOrderDisassemble].PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderDisassemble_SerialOrderId = grmi.NewField("SerialOrderId", "[OM_SerialOrderDisassemble].SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderDisassemble_Pos = grmi.NewField("Pos", "[OM_SerialOrderDisassemble].Pos", "pos", grmi.TypeInt)
var SerialOrderDisassemble_CtrlPara1 = grmi.NewField("CtrlPara1", "[OM_SerialOrderDisassemble].CtrlPara1", "ctrlpara1", grmi.TypeString)
var SerialOrderDisassemble_CtrlPara2 = grmi.NewField("CtrlPara2", "[OM_SerialOrderDisassemble].CtrlPara2", "ctrlpara2", grmi.TypeString)
var SerialOrderDisassemble_IntPara1 = grmi.NewField("IntPara1", "[OM_SerialOrderDisassemble].IntPara1", "intpara1", grmi.TypeInt)
var SerialOrderDisassemble_IntPara2 = grmi.NewField("IntPara2", "[OM_SerialOrderDisassemble].IntPara2", "intpara2", grmi.TypeInt)
var SerialOrderDisassemble_LastModify = grmi.NewField("LastModify", "[OM_SerialOrderDisassemble].LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderDisassemble_LastUser = grmi.NewField("LastUser", "[OM_SerialOrderDisassemble].LastUser", "lastuser", grmi.TypeString)
var SerialOrderDisassemble_CreateTime = grmi.NewField("CreateTime", "[OM_SerialOrderDisassemble].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderDisassemble的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-28 09:55:48
 *
 ******************************************************************************/
var SerialOrderDisassemble = grmi.NewEntity(
	"OM_SerialOrderDisassemble",
	func() interface{} { return &model.SerialOrderDisassemble{} },
	map[string]grmi.Field{
		SerialOrderDisassemble_PlantNr.Name:       SerialOrderDisassemble_PlantNr,
		SerialOrderDisassemble_SerialOrderId.Name: SerialOrderDisassemble_SerialOrderId,
		SerialOrderDisassemble_Pos.Name:           SerialOrderDisassemble_Pos,
		SerialOrderDisassemble_CtrlPara1.Name:     SerialOrderDisassemble_CtrlPara1,
		SerialOrderDisassemble_CtrlPara2.Name:     SerialOrderDisassemble_CtrlPara2,
		SerialOrderDisassemble_IntPara1.Name:      SerialOrderDisassemble_IntPara1,
		SerialOrderDisassemble_IntPara2.Name:      SerialOrderDisassemble_IntPara2,
		SerialOrderDisassemble_LastModify.Name:    SerialOrderDisassemble_LastModify,
		SerialOrderDisassemble_LastUser.Name:      SerialOrderDisassemble_LastUser,
		SerialOrderDisassemble_CreateTime.Name:    SerialOrderDisassemble_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"CtrlPara1", "CtrlPara2", "IntPara1", "IntPara2", "LastUser"})
