// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : HondaDemandItemLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
var HondaDemandItemLst_PlantNr = grmi.NewField("PlantNr", "[PLN_HondaDemandItemLst].PlantNr", "plantnr", grmi.TypeInt)
var HondaDemandItemLst_DemandId = grmi.NewField("DemandId", "[PLN_HondaDemandItemLst].DemandId", "demandid", grmi.TypeString)
var HondaDemandItemLst_Pos = grmi.NewField("Pos", "[PLN_HondaDemandItemLst].Pos", "pos", grmi.TypeInt)
var HondaDemandItemLst_DeliveryDate = grmi.NewField("DeliveryDate", "[PLN_HondaDemandItemLst].DeliveryDate", "deliverydate", grmi.TypeDate)
var HondaDemandItemLst_SeqNr = grmi.NewField("SeqNr", "[PLN_HondaDemandItemLst].SeqNr", "seqnr", grmi.TypeInt)
var HondaDemandItemLst_VinPrefix = grmi.NewField("VinPrefix", "[PLN_HondaDemandItemLst].VinPrefix", "vinprefix", grmi.TypeString)
var HondaDemandItemLst_VinNrFrom = grmi.NewField("VinNrFrom", "[PLN_HondaDemandItemLst].VinNrFrom", "vinnrfrom", grmi.TypeInt)
var HondaDemandItemLst_VinNrTo = grmi.NewField("VinNrTo", "[PLN_HondaDemandItemLst].VinNrTo", "vinnrto", grmi.TypeInt)
var HondaDemandItemLst_ConfigValue = grmi.NewField("ConfigValue", "[PLN_HondaDemandItemLst].ConfigValue", "configvalue", grmi.TypeString)
var HondaDemandItemLst_ModelValue = grmi.NewField("ModelValue", "[PLN_HondaDemandItemLst].ModelValue", "modelvalue", grmi.TypeString)
var HondaDemandItemLst_ColorValue = grmi.NewField("ColorValue", "[PLN_HondaDemandItemLst].ColorValue", "colorvalue", grmi.TypeString)
var HondaDemandItemLst_ProductFamilyId = grmi.NewField("ProductFamilyId", "[PLN_HondaDemandItemLst].ProductFamilyId", "productfamilyid", grmi.TypeString)
var HondaDemandItemLst_PlanQty = grmi.NewField("PlanQty", "[PLN_HondaDemandItemLst].PlanQty", "planqty", grmi.TypeInt)
var HondaDemandItemLst_Color = grmi.NewField("Color", "[PLN_HondaDemandItemLst].Color", "color", grmi.TypeString)
var HondaDemandItemLst_Grade = grmi.NewField("Grade", "[PLN_HondaDemandItemLst].Grade", "grade", grmi.TypeString)
var HondaDemandItemLst_OrderType = grmi.NewField("OrderType", "[PLN_HondaDemandItemLst].OrderType", "ordertype", grmi.TypeString)
var HondaDemandItemLst_ProductType = grmi.NewField("ProductType", "[PLN_HondaDemandItemLst].ProductType", "producttype", grmi.TypeString)
var HondaDemandItemLst_CtrlPara1 = grmi.NewField("CtrlPara1", "[PLN_HondaDemandItemLst].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var HondaDemandItemLst_CtrlPara2 = grmi.NewField("CtrlPara2", "[PLN_HondaDemandItemLst].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var HondaDemandItemLst_CtrlStr1 = grmi.NewField("CtrlStr1", "[PLN_HondaDemandItemLst].CtrlStr1", "ctrlstr1", grmi.TypeString)
var HondaDemandItemLst_CtrlStr2 = grmi.NewField("CtrlStr2", "[PLN_HondaDemandItemLst].CtrlStr2", "ctrlstr2", grmi.TypeString)
var HondaDemandItemLst_CtrlTime1 = grmi.NewField("CtrlTime1", "[PLN_HondaDemandItemLst].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var HondaDemandItemLst_CtrlTime2 = grmi.NewField("CtrlTime2", "[PLN_HondaDemandItemLst].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var HondaDemandItemLst_LastModify = grmi.NewField("LastModify", "[PLN_HondaDemandItemLst].LastModify", "lastmodify", grmi.TypeDateTime)
var HondaDemandItemLst_LastUser = grmi.NewField("LastUser", "[PLN_HondaDemandItemLst].LastUser", "lastuser", grmi.TypeString)
var HondaDemandItemLst_CreateTime = grmi.NewField("CreateTime", "[PLN_HondaDemandItemLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : HondaDemandItemLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
var HondaDemandItemLst = grmi.NewEntity(
	"PLN_HondaDemandItemLst",
	func() interface{} { return &model.HondaDemandItemLst{} },
	map[string]grmi.Field{
		HondaDemandItemLst_PlantNr.Name:         HondaDemandItemLst_PlantNr,
		HondaDemandItemLst_DemandId.Name:        HondaDemandItemLst_DemandId,
		HondaDemandItemLst_Pos.Name:             HondaDemandItemLst_Pos,
		HondaDemandItemLst_DeliveryDate.Name:    HondaDemandItemLst_DeliveryDate,
		HondaDemandItemLst_SeqNr.Name:           HondaDemandItemLst_SeqNr,
		HondaDemandItemLst_VinPrefix.Name:       HondaDemandItemLst_VinPrefix,
		HondaDemandItemLst_VinNrFrom.Name:       HondaDemandItemLst_VinNrFrom,
		HondaDemandItemLst_VinNrTo.Name:         HondaDemandItemLst_VinNrTo,
		HondaDemandItemLst_ConfigValue.Name:     HondaDemandItemLst_ConfigValue,
		HondaDemandItemLst_ModelValue.Name:      HondaDemandItemLst_ModelValue,
		HondaDemandItemLst_ColorValue.Name:      HondaDemandItemLst_ColorValue,
		HondaDemandItemLst_ProductFamilyId.Name: HondaDemandItemLst_ProductFamilyId,
		HondaDemandItemLst_PlanQty.Name:         HondaDemandItemLst_PlanQty,
		HondaDemandItemLst_Color.Name:           HondaDemandItemLst_Color,
		HondaDemandItemLst_Grade.Name:           HondaDemandItemLst_Grade,
		HondaDemandItemLst_OrderType.Name:       HondaDemandItemLst_OrderType,
		HondaDemandItemLst_ProductType.Name:     HondaDemandItemLst_ProductType,
		HondaDemandItemLst_CtrlPara1.Name:       HondaDemandItemLst_CtrlPara1,
		HondaDemandItemLst_CtrlPara2.Name:       HondaDemandItemLst_CtrlPara2,
		HondaDemandItemLst_CtrlStr1.Name:        HondaDemandItemLst_CtrlStr1,
		HondaDemandItemLst_CtrlStr2.Name:        HondaDemandItemLst_CtrlStr2,
		HondaDemandItemLst_CtrlTime1.Name:       HondaDemandItemLst_CtrlTime1,
		HondaDemandItemLst_CtrlTime2.Name:       HondaDemandItemLst_CtrlTime2,
		HondaDemandItemLst_LastModify.Name:      HondaDemandItemLst_LastModify,
		HondaDemandItemLst_LastUser.Name:        HondaDemandItemLst_LastUser,
		HondaDemandItemLst_CreateTime.Name:      HondaDemandItemLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DeliveryDate", "SeqNr", "VinPrefix", "VinNrFrom", "VinNrTo", "ConfigValue", "ModelValue", "ColorValue", "ProductFamilyId", "PlanQty", "Color", "Grade", "OrderType", "ProductType", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
