// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : ToyotaCallOffErrorLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
var ToyotaCallOffErrorLst_PlantNr = grmi.NewField("PlantNr", "[PLN_ToyotaCallOffErrorLst].PlantNr", "plantnr", grmi.TypeInt)
var ToyotaCallOffErrorLst_DemandId = grmi.NewField("DemandId", "[PLN_ToyotaCallOffErrorLst].DemandId", "demandid", grmi.TypeString)
var ToyotaCallOffErrorLst_Pos = grmi.NewField("Pos", "[PLN_ToyotaCallOffErrorLst].Pos", "pos", grmi.TypeInt)
var ToyotaCallOffErrorLst_ErrorType = grmi.NewField("ErrorType", "[PLN_ToyotaCallOffErrorLst].ErrorType", "errortype", grmi.TypeString)
var ToyotaCallOffErrorLst_ErrorInfo = grmi.NewField("ErrorInfo", "[PLN_ToyotaCallOffErrorLst].ErrorInfo", "errorinfo", grmi.TypeString)
var ToyotaCallOffErrorLst_ErrorStatus = grmi.NewField("ErrorStatus", "[PLN_ToyotaCallOffErrorLst].ErrorStatus", "errorstatus", grmi.TypeString)
var ToyotaCallOffErrorLst_LastModify = grmi.NewField("LastModify", "[PLN_ToyotaCallOffErrorLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ToyotaCallOffErrorLst_LastUser = grmi.NewField("LastUser", "[PLN_ToyotaCallOffErrorLst].LastUser", "lastuser", grmi.TypeString)
var ToyotaCallOffErrorLst_CreateTime = grmi.NewField("CreateTime", "[PLN_ToyotaCallOffErrorLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ToyotaCallOffErrorLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
var ToyotaCallOffErrorLst = grmi.NewEntity(
	"PLN_ToyotaCallOffErrorLst",
	func() interface{} { return &model.ToyotaCallOffErrorLst{} },
	map[string]grmi.Field{
		ToyotaCallOffErrorLst_PlantNr.Name:     ToyotaCallOffErrorLst_PlantNr,
		ToyotaCallOffErrorLst_DemandId.Name:    ToyotaCallOffErrorLst_DemandId,
		ToyotaCallOffErrorLst_Pos.Name:         ToyotaCallOffErrorLst_Pos,
		ToyotaCallOffErrorLst_ErrorType.Name:   ToyotaCallOffErrorLst_ErrorType,
		ToyotaCallOffErrorLst_ErrorInfo.Name:   ToyotaCallOffErrorLst_ErrorInfo,
		ToyotaCallOffErrorLst_ErrorStatus.Name: ToyotaCallOffErrorLst_ErrorStatus,
		ToyotaCallOffErrorLst_LastModify.Name:  ToyotaCallOffErrorLst_LastModify,
		ToyotaCallOffErrorLst_LastUser.Name:    ToyotaCallOffErrorLst_LastUser,
		ToyotaCallOffErrorLst_CreateTime.Name:  ToyotaCallOffErrorLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ErrorType", "ErrorInfo", "ErrorStatus", "LastUser"})
