// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Template的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Template_PlantNr = grmi.NewField("PlantNr", "[PM_Template].PlantNr", "plantnr", grmi.TypeInt)
var Template_MainTemplateNr = grmi.NewField("MainTemplateNr", "[PM_Template].MainTemplateNr", "maintemplatenr", grmi.TypeInt)
var Template_Descr = grmi.NewField("Descr", "[PM_Template].Descr", "descr", grmi.TypeString)
var Template_TrackByDateToggle = grmi.NewField("TrackByDateToggle", "[PM_Template].TrackByDateToggle", "trackbydatetoggle", grmi.TypeBool)
var Template_TrackByPriMeterToggle = grmi.NewField("TrackByPriMeterToggle", "[PM_Template].TrackByPriMeterToggle", "trackbyprimetertoggle", grmi.TypeBool)
var Template_PriMeterUom = grmi.NewField("PriMeterUom", "[PM_Template].PriMeterUom", "primeteruom", grmi.TypeString)
var Template_TrackBySecMeterToggle = grmi.NewField("TrackBySecMeterToggle", "[PM_Template].TrackBySecMeterToggle", "trackbysecmetertoggle", grmi.TypeBool)
var Template_SecMeterUom = grmi.NewField("SecMeterUom", "[PM_Template].SecMeterUom", "secmeteruom", grmi.TypeString)
var Template_LastModify = grmi.NewField("LastModify", "[PM_Template].LastModify", "lastmodify", grmi.TypeDateTime)
var Template_LastUser = grmi.NewField("LastUser", "[PM_Template].LastUser", "lastuser", grmi.TypeString)
var Template_CreateTime = grmi.NewField("CreateTime", "[PM_Template].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Template的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Template = grmi.NewEntity(
	"PM_Template",
	func() interface{} { return &model.Template{} },
	map[string]grmi.Field{
		Template_PlantNr.Name:               Template_PlantNr,
		Template_MainTemplateNr.Name:        Template_MainTemplateNr,
		Template_Descr.Name:                 Template_Descr,
		Template_TrackByDateToggle.Name:     Template_TrackByDateToggle,
		Template_TrackByPriMeterToggle.Name: Template_TrackByPriMeterToggle,
		Template_PriMeterUom.Name:           Template_PriMeterUom,
		Template_TrackBySecMeterToggle.Name: Template_TrackBySecMeterToggle,
		Template_SecMeterUom.Name:           Template_SecMeterUom,
		Template_LastModify.Name:            Template_LastModify,
		Template_LastUser.Name:              Template_LastUser,
		Template_CreateTime.Name:            Template_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "TrackByDateToggle", "TrackByPriMeterToggle", "PriMeterUom", "TrackBySecMeterToggle", "SecMeterUom", "LastUser"})
